Index: trunk/language/no_NO/admin.lang.php
===================================================================
--- trunk/language/no_NO/admin.lang.php	(revision 12930)
+++ trunk/language/no_NO/admin.lang.php	(revision 13691)
@@ -171,5 +171,5 @@
 $lang['You cannot move an album in its own sub album'] = 'Du kan ikke flytte et album i sitt eget grunn album';
 $lang['You need to confirm deletion'] = 'Du må bekrefte sletting';
-$lang['add tags'] = 'Legg til tags';
+$lang['Add tags'] = 'Legg til tags';
 $lang['Associate to album'] = 'Assosier med album';
 $lang['associate to group'] = 'assosier med gruppe';
@@ -219,6 +219,4 @@
 $lang['manage sub-albums'] = 'behandle grunn-album';
 $lang['Manage'] = 'Behandle';
-$lang['maximum height'] = 'Maksimum høyde';
-$lang['maximum width'] = 'Maksimum bredde';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Prossessen svarer ikke, behandling fortsetter [Estimert tid: %d sekund].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Prossessen svarer ikke, behandling fortsetter [Estimert tid: %d sekunder].';
@@ -300,10 +298,5 @@
 $lang['registration date'] = 'registrert dato';
 $lang['clean'] = 'Rydd opp';
-$lang['remove remote listing.xml file'] = 'fjern ekstern listing.xml fil';
-$lang['generate listing'] = 'generer listing';
-$lang['generate file listing.xml on remote site'] = 'generer fil listing.xml på ekstern side';
 $lang['Create this site'] = 'Lag denne siden';
-$lang['A local listing.xml file has been found for'] = 'En lokal listing.xml fil har blitt funnet for';
-$lang['read local listing.xml and update'] = 'les lokal listing.xml og oppdater';
 $lang['test'] = 'test';
 $lang['test this remote site'] = 'test ekstern side';
@@ -320,5 +313,4 @@
 $lang['deleted'] = 'slettet';
 $lang['an error happened'] = 'en feil oppstod';
-$lang['file create_listing_file.php on remote site was not found'] = 'fil create_listing_file.php ikke funnet på ekstern side';
 $lang['Local'] = 'Lokal';
 $lang['Remote'] = 'Ekstern side';
@@ -337,20 +329,13 @@
 $lang['User list'] = 'Bruker liste';
 $lang['Edit photo information'] = 'Endre bilde informasjon';
-$lang['Thumbnail creation'] = 'Lag miniatyr bilder';
 $lang['Database synchronization with files'] = 'Database synkronisering med filer';
 $lang['all'] = 'alle';
-$lang['photos without thumbnail (jpeg and png only)'] = 'bilder uten miniatyrer (kun jpeg og png)';
 $lang['height must be a number superior to'] = 'høyde må være et nummer høyere en';
 $lang['width must be a number superior to'] = 'bredde må være et nummer høyere en';
 $lang['for the file format'] = 'for fil format';
-$lang['No missing thumbnail'] = 'Ingen manglende miniatyrbilder';
 $lang['Photo unreachable or no support'] = 'Bilde ikke tilgjengelig eller i feil filformat';
 $lang['GD version'] = 'GD versjon';
-$lang['generated in'] = 'generert på';
-$lang['Results of miniaturization'] = 'Miniatyr prosess resultat';
 $lang['General statistics'] = 'Generell statistikk';
-$lang['max time'] = 'maksimum tid';
 $lang['average time'] = 'gjennomsnitlig tid';
-$lang['min time'] = 'minimum tid';
 $lang['number of miniaturized photos'] = 'antall miniatyrbilder laget';
 $lang['total time'] = 'total tid';
@@ -365,8 +350,4 @@
 $lang['Choose an option'] = 'Velg et alternativ';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'vis all informasjon (tillagte album og elemter, slettede album og elementer)';
-$lang['Piwigo version differs on the remote site'] = 'Piwigo versjon er forskjellig fra den eksterne side';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Versjoner av create_listing_file.php på ekstern side og Piwigo må være den samme';
-$lang['listing.xml file was not found'] = 'listing.xml fil ikke funnet';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'listing.xml fil ikke funnet på ekstern side. Denne filen er generert med "generer liste" kommando i Side behandler';
 $lang['Error list'] = 'Liste med feilmeldinger';
 $lang['Errors caption'] = 'Feil legender';
@@ -374,6 +355,4 @@
 $lang['File/directory read error'] = 'Lesefeil i Fil/katalog';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Fil eller katalog kan ikke nås (enten eksisterer den ikke eller tilgang er nektet)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Filtypen for bilde krever et miniatyrbilde. Miniatyrbilde må ligge i grunn-mappen "thumbnail" i album mappen. Miniatyrbildets filnavn må starte med det konfigurerte miniatyrets prefix og tillegget må finnes iblandt følgende liste :';
-$lang['missing thumbnail'] = 'manglende miniatyr';
 $lang['albums deleted in the database'] = 'album slettet i database';
 $lang['photos deleted from the database'] = 'elementer slettet i database';
@@ -419,7 +398,4 @@
 $lang['Element'] = 'Element';
 $lang['Section'] = 'Seksjon';
-$lang['Save page visits by guests'] = 'Lagre sider besøkt av gjester';
-$lang['Save page visits by users'] = 'Lagre sider besøkt av brukere';
-$lang['Save page visits by administrators'] = 'lagre sider besøkt av administratorer';
 $lang['An information email was sent to group "%s"'] = 'Informasjons email sendt til gruppe "%s"';
 $lang['Send an information email to group members'] = 'Send en informasjons email til gruppe medlemmer';
@@ -443,5 +419,4 @@
 $lang['guest'] = 'gjest';
 $lang['default values'] = 'standard verdi';
-$lang['High filesize'] = 'Høy oppløsning filstørrelse';
 $lang['Guest cannot be deleted'] = 'Gjest kan ikke bli slettet';
 $lang['Default user cannot be deleted'] = 'Standard bruker kan ikke slettes';
@@ -504,5 +479,4 @@
 $lang['Are you sure you want to install this plugin?'] = 'Er du sikker på å installere tilleggsverktøy?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Er du sikker på at du vil installere den oppgraderingen? Du må verifisere om ikke denne versjonen trenger avinstallasjon først.';
-$lang['%s has been successfully upgraded.'] = '%s har blitt suksessfult installert.';
 $lang['Plugin has been successfully copied'] = 'Tilleggsverktøyet har blitt suksessfult kopiert';
 $lang['You might go to plugin list to install and activate it.'] = 'Gå til tilleggsverktøy liste for å installere og aktivere det.';
@@ -567,5 +541,4 @@
 $lang['Password is missing. Please enter the password.'] = 'Passord mangler. Vennligst skriv passord.';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Passord bekreftelse mangler. Vennligst bekreft det valgte passord.';
-$lang['Password confirmation error.'] = 'Passord bekreftelse feil.';
 $lang['Allow users to edit their own comments'] = 'Tillat bruker å redigere sine egne kommentarer';
 $lang['Allow users to delete their own comments'] = 'Tillat brukere å slette sine egne kommentarer';
@@ -639,5 +612,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Aktiver navigasjon miniatyrbilder';
 $lang['Activate icon "%s"'] = 'Aktiver icon "%s"';
-$lang['Activate field "%s"'] = 'Aktiver felt "%s"';
 $lang['Photo Properties'] = 'Bilde egenskaper';
 $lang['Allow user customization'] = 'Godkjenn brukers egne instillinger';
@@ -708,7 +680,7 @@
 $lang['All %d photos are selected'] = 'Alle %d bilder er valgt';
 $lang['remove this filter'] = 'fjern filter';
-$lang['predefined filter'] = 'Redefiner filter';
-$lang['last import'] = 'siste importering';
-$lang['with no virtual album'] = 'uten virtuelle album';
+$lang['Predefined filter'] = 'Redefiner filter';
+$lang['Last import'] = 'Siste importering';
+$lang['With no virtual album'] = 'Uten virtuelle album';
 $lang['Duplicates'] = 'duplikater';
 $lang['Add a filter'] = 'Legg inn filter';
@@ -725,6 +697,6 @@
 $lang['Type here the title'] = 'Skriv tittel her';
 $lang['remove creation date'] = 'fjern  opprettelse dato';
-$lang['with no album'] = 'uten album';
-$lang['with no tag'] = 'uten tag';
+$lang['With no album'] = 'Uten album';
+$lang['With no tag'] = 'Uten tag';
 $lang['Album photos associated to the following albums: %s'] = 'Album bilder assosiert til følgende album: %s';
 $lang['Delete orphan tags'] = 'Slett foreldreløse tagger';
@@ -768,4 +740,5 @@
 $lang['display'] = 'Vis';
 $lang['Zoom'] = 'Zoom';
+$lang['Add to caddie'] = 'legg i kurv';
 
 ?>