Index: /trunk/language/ar_SA/common.lang.php
===================================================================
--- /trunk/language/ar_SA/common.lang.php	(revision 13691)
+++ /trunk/language/ar_SA/common.lang.php	(revision 13692)
@@ -37,5 +37,5 @@
 
 $lang['%d Kb'] = '%d كيلوبايت';
-$lang['%d album updated'] = '%d البوم يحوي صور جديده';
+$lang['%d album updated'] = '%d ألبوم يحوي صور جديده';
 $lang['%d albums updated'] = '%d ألبومات تحتوي على صور جديده';
 $lang['%d comment to validate'] = '%d مصادقة التعليق';
@@ -53,13 +53,13 @@
 $lang['About'] = 'من نحن ؟';
 $lang['All tags'] = 'كل الكلمات الدلائلية';
-$lang['Any tag'] = 'أي كلمة';
+$lang['Any tag'] = 'أي كلمة دلائلية';
 $lang['At least one listed rule must be satisfied.'] = 'على الاقل واحده لهذه يجب ان تكون مستوفية.';
 $lang['Author'] = 'بواسطة :';
 $lang['Albums'] = 'الألبومات';
-$lang['Album'] = 'البوم';
-$lang['Close this window'] = 'اغلق هذه النافذة';
+$lang['Album'] = 'ألبوم';
+$lang['Close this window'] = 'أغلق هذه النافذة';
 $lang['Complete RSS feed (photos, comments)'] = 'تابع تحديثات الموقع من صور جديدة و تعليقات  عبر الاشتراك في هذه الخدمة RSS';
 $lang['Confirm Password'] = 'تأكيد كلمة المرور';
-$lang['Connection settings'] = 'اعداد الاتصال';
+$lang['Connection settings'] = 'إعداد الاتصال';
 $lang['Login'] = 'دخول';
 $lang['Contact webmaster'] = 'اتصل بمدير الموقع';
@@ -68,5 +68,5 @@
 $lang['Creation date'] = 'تاريخ الصورة';
 $lang['Current password is wrong'] = 'كلمة المرور غير صحيحة';
-$lang['Dimensions'] = 'الابعاد';
+$lang['Dimensions'] = 'الأبعاد';
 $lang['Display'] = 'المظهر';
 $lang['Each listed rule must be satisfied.'] = 'كل العناصر يجب ان تكون مكتملة.';
@@ -74,5 +74,5 @@
 $lang['Email address'] = 'البريد الالكتروني';
 $lang['Enter your personnal informations'] = 'ادخل معلوماتك الشخصية';
-$lang['Error sending email'] = 'خطأ في ارسال الرسالة';
+$lang['Error sending email'] = 'خطأ في إرسال الرسالة';
 $lang['File name'] = 'أسم الملف';
 $lang['File'] = 'ملف';
@@ -81,5 +81,5 @@
 $lang['Filter'] = 'مُرشح ';
 $lang['Forgot your password?'] = 'هل نسيت كلمة المرور?';
-$lang['Go through the gallery as a visitor'] = 'ادخل معرض الصور كأحد الزوار';
+$lang['Go through the gallery as a visitor'] = 'شاهد معرض الصور كأحد الزوار';
 $lang['Help'] = 'مساعدة';
 $lang['Identification'] = 'الخصوصية';
@@ -101,5 +101,5 @@
 $lang['Register'] = 'تسجيل';
 $lang['Registration'] = 'التسجيل';
-$lang['Related tags'] = 'الكلمات الدلائلية';
+$lang['Related tags'] = ' كلمات الدلائلية لها صلة';
 $lang['Reset'] = 'إستعادة';
 $lang['Retrieve password'] = 'استرجاع كلمة المرور';
@@ -140,6 +140,6 @@
 $lang['chronology_monthly_calendar'] = 'تقويم شهري';
 $lang['chronology_monthly_list'] = 'القائم الشهرية';
-$lang['chronology_weekly_list'] = 'القائمة الاسبوعية';
-$lang['Click here if your browser does not automatically forward you'] = 'إذا كان متصفحك لا يدعم الانتقال الآلي أضغط هنا';
+$lang['chronology_weekly_list'] = 'القائمة الأسبوعية';
+$lang['Click here if your browser does not automatically forward you'] = 'إذا كان متصفحك لا يدعم الإنتقال الآلي أضغط هنا';
 $lang['comment date'] = 'تاريخ التعليق';
 $lang['Comment'] = 'التلعيق';
@@ -151,11 +151,11 @@
 $lang['Comments'] = 'التعليقات';
 $lang['Add a comment'] = ' أترك تعليقك هنا ';
-$lang['created after %s (%s)'] = 'إنشأ قبل %s (%s)';
+$lang['created after %s (%s)'] = 'اُنشأ قبل %s (%s)';
 $lang['Comments'] = 'آخر التلعيقات';
 $lang['Add a comment'] = 'اكتب تعليق';
 $lang['created after %s (%s)'] = 'انشأ قبل %s (%s)';
-$lang['created before %s (%s)'] = 'انشأ بعد %s (%s)';
-$lang['created between %s (%s) and %s (%s)'] = 'انشأ بين %s (%s) و %s (%s)';
-$lang['created on %s'] = 'تاريخ الانشاء %s';
+$lang['created before %s (%s)'] = 'اُنشأ بعد %s (%s)';
+$lang['created between %s (%s) and %s (%s)'] = 'اُنشأ بين %s (%s) و %s (%s)';
+$lang['created on %s'] = 'تاريخ الإنشاء %s';
 $lang['Customize'] = 'تخصيص';
 $lang['Your Gallery Customization'] = 'تخصيص المعرض ';
@@ -171,10 +171,10 @@
 $lang['descending'] = 'تنازلي';
 $lang['Download'] = 'تحميل';
-$lang['Download this file'] = 'تحميل هذا الملف';
+$lang['Download this file'] = 'تحميل هذا الصورة';
 $lang['edit'] = 'تحرير';
 $lang['wrong date'] = 'تاريخ خطأ';
 $lang['excluded'] = 'استبعاد';
 $lang['Your favorites'] = 'مفضلتي';
-$lang['display your favorites photos'] = 'اعرض صور المفضلة';
+$lang['display your favorites photos'] = 'عرض صور المفضلة';
 $lang['Favorites'] = 'المفضلات';
 $lang['First'] = 'الأولى';
@@ -182,7 +182,7 @@
 $lang['Page generated in'] = 'صفحة أنشئت في ..';
 $lang['guest'] = 'ضيف';
-$lang['Hello'] = 'مرحبا بك.';
+$lang['Hello'] = 'السلام عليكم ';
 $lang['available for administrators only'] = 'متاح للأدارين فقط';
-$lang['display this album'] = 'اعرض  جميع صور هذا الالبوم';
+$lang['display this album'] = 'عرض  جميع صور هذا الالبوم';
 $lang['display last user comments'] = 'شاهد آخر التعليقات';
 $lang['customize the appareance of the gallery'] = 'تخصيص معلوماتك الشخصية';
@@ -196,5 +196,5 @@
 $lang['Invalid password!'] = 'عفوا كلمة المرور غير صحيحة!';
 $lang['Language']='اللغة';
-$lang['last %d days'] = 'آخر %d الايام';
+$lang['last %d days'] = 'آخر %d الأيام';
 $lang['Last'] = 'الأخيرة';
 $lang['Logout'] = 'خروج';
@@ -202,5 +202,5 @@
 $lang['Maximum photo height'] = 'الارتفاع الاقصى للصورة';
 $lang['Maximum height must be a number superior to 50'] = 'يجب ان يكون اقصى ارتفاع للصورة يتعدى الـ50';
-$lang['Maximum photo width'] = 'العرض الاقضى للصورة';
+$lang['Maximum photo width'] = 'العرض الاقصى للصورة';
 $lang['Maximum width must be a number superior to 50'] = 'يجب ان يكون العرض الاقصى للصورة يتعدى الـ50';
 $lang['display a calendar by creation date'] = 'عرض التقويم حسب الألبومات';
@@ -221,16 +221,16 @@
 $lang['month'][9] = 'سبتمبر';
 $lang['Most visited'] = 'الصور الأكثر مشاهدة';
-$lang['display most visited photos'] = 'أعرض الصور الاكثر مشاهدة';
+$lang['display most visited photos'] = 'أعرض الصور الأكثر مشاهدة';
 $lang['Unknown identifier'] = 'معرف مجهول';
 $lang['New password'] = 'كلمة مرور جديدة';
 $lang['Rate this photo'] = 'قيم هذه الصورة';
 $lang['Next'] = 'التالي';
-$lang['no rate'] = 'لم يتم تقيم الصورة';
-$lang['Photos posted within the last %d day.'] = 'عناصر اضيفت في آخر  %d يوم.';
+$lang['no rate'] = 'كن أول من يعطي تقيمه لهذه الصورة';
+$lang['Photos posted within the last %d day.'] = 'صور اضيفت في آخر  %d يوم.';
 $lang['Photos posted within the last %d days.'] = 'صور ادخلت في آخر %d الايام.';
 $lang['password updated'] = 'تم تغير كلمة المرور ';
 $lang['Recent period must be a positive integer value'] = 'يجب أن تكون القيمة ايجابية في الفترة السابقة';
 /* DEPRECATED USED IN comments.php FOR image_id ? */ $lang['photo'] = 'صورة';
-$lang['Click on the photo to see it in high definition'] = 'اضغط على الصورة كي ترى الابعاد الحقيقية لها';
+$lang['Click on the photo to see it in high definition'] = 'انقر على الصورة لتراها بحجم أكبر ';
 $lang['Show file metadata'] = 'اظهر المعلومات الفوتوغرافية للصورة';
 $lang['Powered by'] = 'بدعم من';
@@ -240,5 +240,5 @@
 $lang['display a set of random photos'] = 'عرض مجموعة من الصورة العشوائية';
 $lang['Recent albums'] = 'الألبومات الأخيرة';
-$lang['display recently updated albums'] = 'عرض احدث الألبومات الحالية';
+$lang['display recently updated albums'] = 'عرض أحدث الألبومات الحالية';
 $lang['Recent period'] = 'الفترة الاخيرة';
 $lang['Recent photos'] = 'الصور الاخيرة';
@@ -261,5 +261,5 @@
 $lang['Date'] = 'التاريح';
 $lang['End-Date'] = 'نهاية التاريح';
-$lang['Kind of date'] = 'نوع التاريخ';
+$lang['Kind of date'] = 'صيغة التاريخ';
 $lang['Search for words'] = 'بحث بواسطة الكلمة';
 $lang['Search for all terms'] = 'بحث بوسطة جميع البنود ';
@@ -293,5 +293,5 @@
 $lang['Browser: %s'] = 'استعراض: %s';
 $lang['Author: %s'] = 'بواسطة: %s';
-$lang['Comment: %s'] = 'تعليق: %s';
+$lang['Comment: %s'] = 'تعليق : %s';
 $lang['Comment by %s'] = 'كاتب التعليق  %s';
 $lang['User: %s'] = 'المستخدم: %s';
@@ -302,8 +302,8 @@
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'وضغ سيئ للضيف "ضيف", استخدم الحالة الافرتاضية. يرجى ابلاغ المسؤول عن الموقع.';
 $lang['this email address is already in use'] = 'هذا البريد مسجل لدينامن قبل';
-$lang['Album results for'] = 'نتيجة البحث في الالبومات عن:';
+$lang['Album results for'] = 'نتيجة البحث في الألبومات عن:';
 $lang['Tag results for'] = 'نتائج الكلمات الدلائلية';
 $lang['from %s to %s'] = 'من%s الي %s';
-$lang['Play of slideshow'] = 'شغل عرض شرائح الصور';
+$lang['Play of slideshow'] = ' عرض شرائح الصور';
 $lang['Pause of slideshow'] = 'ايقاف العرض';
 $lang['Repeat the slideshow'] = 'اعد عرض الشرائح';
@@ -315,8 +315,8 @@
 $lang['No'] = 'لا';
 $lang['%d photo']=' صورة %d';
-$lang['%d photos']='مجموع الصور%d';
+$lang['%d photos'] = 'مجموع الصور %d';
 $lang['%d photo is also linked to current tags'] = '%d صورة لها صله بالكلمات';
-$lang['%d photos are also linked to current tags'] = '%d صور لها اتباط بــ';
-$lang['display photos linked to this tag'] = 'شاهد الصورة التي لها اتباط بالكلمات الدلائلية ';
+$lang['%d photos are also linked to current tags'] = '%d صور لها ارتباط بــ';
+$lang['display photos linked to this tag'] = 'شاهد الصور التي لها إرتباط بالكلمات الدلائلية ';
 $lang['photos posted during the last %d days'] = 'صور الايــ %d ــام الاخيرة ';
 $lang['Piwigo Help'] = 'الدعم الفني ';
@@ -330,5 +330,5 @@
 $lang['delete all photos from your favorites'] = 'احذف كل الصور من مفضلتي';
 $lang['Sent by'] = 'أرسل بواسطة : ';
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'ملفات الارتباط محضورة في متصفحك أو غير معتمده ،يجب تمكين الكوكيز للتمكن من التسجيل';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'ملفات الإرتباط محضورة في متصفحك أو غير معتمده ،يجب تمكين الكوكيز للتمكن من التسجيل';
 $lang['Edit a comment'] = 'حرر تعليق';
 $lang['(!) This comment requires validation'] = '(!) التعليق يحتاج تصريح';
@@ -338,5 +338,5 @@
 $lang['... or please deactivate this message, I will find my way by myself'] = '... أو أخفي هذه الرسالة ، وسوف أجد طريقي بنفسي';
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = 'مرحبا بك %s، معرض الصور Piwigo فارغ ';
-$lang['I want to add photos'] = 'أريد أن اضيف صور';
+$lang['I want to add photos'] = 'أريد أن أضيف صور';
 $lang['Manage this user comment: %s'] = ' %s حرر تعليق المستخدم :';
 $lang['This author modified following comment:'] = 'هذا الكاتب اعاد تحرير تعليقه  : ';
@@ -345,6 +345,6 @@
 $lang['%d rates'] = '%d التقييم';
 $lang['Change my password'] = 'غيّر كلمة المرور';
-$lang['Check your email for the confirmation link'] = 'تم ارسال رابط التأكيد الى بريدك الالكتروني ..افحص بريدك';
-$lang['Delete'] = 'مسح';
+$lang['Check your email for the confirmation link'] = 'تم أرسال رابط التأكيد الى بريدك الالكتروني ..افحص بريدك';
+$lang['Delete'] = 'حذف';
 $lang['Edit'] = 'تحرير';
 $lang['Enter your new password below.'] = 'ادخل كلمة المرور الجديدة .';
@@ -378,3 +378,21 @@
 $lang['xlarge'] = 'كبير جداً';
 $lang['xxlarge'] = 'كبير جدا جداً';
+$lang['2small'] = 'XXS-صغير';
+$lang['Desktop'] = 'سطح المكتب';
+$lang['Hello %s,'] = 'السلام عليكم %s.';
+$lang['Here are your connection settings'] = 'هنا تجد معلومات الدخولز';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'إذا كنت تعتقد أن هناك خطأ في تلقي  هذه الرسالة , فضلاً اتصل بنا عبر %s';
+$lang['Mobile'] = 'محمول';
+$lang['Password: %s'] = 'كلمة المرور: %s';
+$lang['Photo sizes'] = 'حجم الصورة ';
+$lang['Send my connection settings by email'] = 'أرسل إعدادات الإتصال عبر البريد';
+$lang['Show latest comments first'] = 'أظهر آخر التعليقات أولا ً';
+$lang['Show oldest comments first'] = 'أظهر التعليقات الاقدم  أولا ً';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'تم التسجيل بنجاح , قريبا ً تصلك معلومات الدخول الى بريدك . مرحبا بك';
+$lang['Thank you for registering at %s!'] = 'شكراً لتسجيلك بأسم %s!';
+$lang['Username modification'] = 'تعديل أسم المستخدم';
+$lang['Username: %s'] = 'أسم المستخدم : %s';
+$lang['View in'] = 'عرض في';
+$lang['xsmall'] = 'XS - صغير اكثر';
+$lang['Your username has been successfully changed to : %s'] = 'تم تغيير أسم المستخدم الخاص بك  إلى : %s.';
 ?>