Index: /trunk/themes/Sylvia/theme.css
===================================================================
--- /trunk/themes/Sylvia/theme.css	(revision 13696)
+++ /trunk/themes/Sylvia/theme.css	(revision 13697)
@@ -3,5 +3,5 @@
 	width:165px !important; /* Usable range 162px-360px , optimal : Thumbnail width + 40px */ 
 }
-#comments .thumbnailCategory div.illustration { 
+#comments .commentElement div.illustration { 
 	width:220px !important; /* Usable range 219px-360px , optimal : Thumbnail width + 95px */ 
 }
@@ -267,29 +267,41 @@
 
 /* User comments */
-#theCommentsPage .content .thumbnailCategories li,
-#theCommentsPage .content .thumbnailCategory ,
-#theCommentsPage .content .thumbnailCategory .description,
-#theCommentsPage .content .thumbnailCategory div.illustration { 
-	background-image: none;
-}
-#theCommentsPage .content .thumbnailCategory {
+#comments {
+	padding: 0 0 5px 10px;
+}
+.content .commentsList li { 
+	padding: 0 0; 
+	margin:0; 
+}
+.content .commentElement {
 	padding: 15px 2px 6px 12px; 
+  margin:0;
 	border: 1px solid #666; 
 }
-#theCommentsPage .content .odd { 
+.content .commentElement.odd { 
 	background-color: #222; 
 	border-top:0 !important; 
 }
-#theCommentsPage .content .even { 
+.content .commentElement.even { 
 	background-color: #111; 
 }
-#theCommentsPage .content .thumbnailCategories li:hover { 
-	background-color: transparent; 
-}
-#theCommentsPage #comments {
-	padding: 0 0 5px 10px;
-}
-
-#comments .thumbnailCategories hr {display:none;}
+.content .commentElement div.illustration { 
+	padding: 0 0 0 10px; 
+	margin: 0 !important; 
+}
+.content .commentElement div.illustration a { 
+	display: block; 
+	margin: 0; 
+	padding:20px 0 0 8px; 
+  border:0;
+}
+.content .commentElement .description { 
+	margin: 0; 
+	padding:15px 10px 3px 0; 
+	overflow-x: hidden !important; 
+  height:158px;
+}
+
+#comments .commentsList hr {display:none;}
 #comments .filter input[type="submit"] { margin-top:1.8em; }
 
@@ -340,12 +352,12 @@
 }
 
-#thePicturePage .thumbnailCategory {
+#thePicturePage .commentElement {
 	padding: 15px 2px 6px 12px; 
 	border: 1px solid #666; 
 }
-#thePicturePage .thumbnailCategory  .date, #thePicturePage .thumbnailCategory  .author {
+#thePicturePage .commentElement  .date, #thePicturePage .commentElementy  .author {
 	font-weight:bold;
 }
-#thePicturePage .thumbnailCategories { 
+#thePicturePage .commentsList { 
 	padding-left: 12px; 
 	padding-right: 12px; 
Index: /trunk/themes/clear/theme.css
===================================================================
--- /trunk/themes/clear/theme.css	(revision 13696)
+++ /trunk/themes/clear/theme.css	(revision 13697)
@@ -34,5 +34,6 @@
 
 FIELDSET, INPUT, SELECT, TEXTAREA,
-.content .thumbnailCategory {
+.content .thumbnailCategory,
+.content .commentElement {
   border: 1px solid gray;
 }
@@ -44,5 +45,7 @@
 .thumbnails .wrap2:hover,
 .content .thumbnailCategories .thumbnailCategory:hover,
-.content .thumbnailCategories .thumbnailCategory:hover A {
+.content .thumbnailCategories .thumbnailCategory:hover A,
+.content .commentsList .commentElement:hover,
+.content .commentsList .commentElement:hover A {
   background-color: #faebd7;
   border-color: yellow;		/* thumbnails border color when mouse cursor is over it */
Index: /trunk/themes/dark/theme.css
===================================================================
--- /trunk/themes/dark/theme.css	(revision 13696)
+++ /trunk/themes/dark/theme.css	(revision 13697)
@@ -41,4 +41,5 @@
 FIELDSET, INPUT, SELECT, TEXTAREA,
 .content .thumbnailCategory ,
+.content .commentElement ,
 .thumbnails .wrap2 {
 	border: 1px solid gray;
@@ -47,5 +48,6 @@
 
 .thumbnails .wrap2:hover,
-.content .thumbnailCategories .thumbnailCategory:hover{
+.content .thumbnailCategories .thumbnailCategory:hover,
+.content .commentsList .commentElement:hover{
 	border-color: yellow;	/* thumbnails border color when mouse cursor is over it */
 }
Index: /trunk/themes/default/template/comment_list.tpl
===================================================================
--- /trunk/themes/default/template/comment_list.tpl	(revision 13696)
+++ /trunk/themes/default/template/comment_list.tpl	(revision 13697)
@@ -1,17 +1,17 @@
 {if isset($comment_derivative_params)}
 {strip}{html_style}
-.thumbnailCategory DIV.illustration{ldelim}
+.commentElement DIV.illustration{ldelim}
 	width: {$comment_derivative_params->max_width()+5}px;
 }
 
-.content .thumbnailCategory .description{ldelim}
+.content .commentElement .description{ldelim}
 	height: {$comment_derivative_params->max_height()+5}px;
 }
 {/html_style}{/strip}
 {/if}
-<ul class="thumbnailCategories">
+<ul class="commentsList">
 {foreach from=$comments item=comment name=comment_loop}
 <li>
-	<div class="thumbnailCategory {if $smarty.foreach.comment_loop.index is odd}odd{else}even{/if}">
+	<div class="commentElement {if $smarty.foreach.comment_loop.index is odd}odd{else}even{/if}">
 	{if isset($comment.src_image)}
 	<div class="illustration">
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 13696)
+++ /trunk/themes/default/theme.css	(revision 13697)
@@ -262,6 +262,47 @@
 }
 
-#comments .description {
+.commentsList {
+	margin: 0;
+	padding: 0;
+	list-style: none;
+	overflow: hidden;
+	width: 100%;
+}
+
+.commentsList LI {
+	margin: 0;
+	padding: 0;
+	float: left;
+	width:99%;
+}
+
+.commentElement {
+	display:block;
+	padding: 2px 0 0 2px;
+	margin: 5px;
+}
+
+.commentElement .description {
 	font-size: 100%;
+	overflow: auto;
+	/*width: inherit;*/
+}
+
+.commentElement .description H3 {
+	text-align: left;
+	background: transparent;
+	margin: 0;
+	padding: 0.1em;
+	font-size: 120%;
+}
+
+.commentElement .description P {
+	margin: 0;
+}
+
+.commentElement DIV.illustration {
+	text-align: left;
+	margin: 2px 0 0 2px;
+	float: left;
 }
 
@@ -674,6 +715,4 @@
 #theHeader {text-align: center;}
 
-#comments .thumbnailCategories LI { width:99%; }
-
 /* jQuery datepicker */
 IMG.ui-datepicker-trigger {
Index: /trunk/themes/elegant/theme.css
===================================================================
--- /trunk/themes/elegant/theme.css	(revision 13696)
+++ /trunk/themes/elegant/theme.css	(revision 13697)
@@ -123,5 +123,5 @@
 
 .thumbnails IMG {margin-bottom:0; vertical-align:middle;}
-.thumbnailCategory DIV.illustration {margin: 2px; text-align:center;}
+.thumbnailCategory DIV.illustration, .commentElement DIV.illustration {margin: 2px; text-align:center;}
 
 /* picture page */
@@ -154,5 +154,5 @@
 
 .comments_hidden ul, .comments_hidden form {display:none;}
-.thumbnailCategory {background-color: #333;}
+.thumbnailCategory, .commentElement {background-color: #333;}
 .comments_toggle {cursor: pointer;}
 .comments_toggle:hover {color:#fff;}