Index: trunk/language/ar_SA/common.lang.php
===================================================================
--- trunk/language/ar_SA/common.lang.php	(revision 13699)
+++ trunk/language/ar_SA/common.lang.php	(revision 13701)
@@ -119,7 +119,7 @@
 $lang['Visits'] = 'الزوار';
 $lang['Webmaster'] = 'مدير المعرض';
-$lang['Week %d'] = 'اسبوع %d';
+$lang['Week %d'] = 'أسبوع %d';
 $lang['About Piwigo'] = 'ماذا عن Piwigo';
-$lang['You are not authorized to access the requested page'] = 'لم تقم بتسجيل الدخول او انك غير مشترك  او .. غير مصرح لك';
+$lang['You are not authorized to access the requested page'] = 'لم تقم بتسجيل الدخول أو انك غير مشترك  أو .. غير مصرح لك';
 $lang['add this photo to your favorites'] = 'اضف هذه الصوة لمفضلتك ';
 $lang['Administration'] = 'الإدارة';
@@ -144,7 +144,7 @@
 $lang['comment date'] = 'تاريخ التعليق';
 $lang['Comment'] = 'التلعيق';
-$lang['Your comment has been registered'] = 'سيتم اعتماد كلماتك الطيبة في اقرب وقت';
+$lang['Your comment has been registered'] = 'سيتم إعتماد كلماتك الطيبة في أقرب وقت';
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'نرجوا الانتظار قبل اضافة تعليق آخر ';
-$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'لم يتم اعتماد تعليقك لانه مخالف لقواعد التعليقات';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'لم يتم إعتماد تعليقك لأنه مخالف لقواعد التعليقات';
 $lang['An administrator must authorize your comment before it is visible.'] = 'لن يطول انتظارك حتى ترى تعليقك هنا بعد مراجعة الادارة.';
 $lang['This login is already used by another user'] = 'يبدو ان هناك مستخدم آخر بنفس هذا المعلومات';
@@ -257,5 +257,5 @@
 $lang['representative'] = 'صفه /نموذجي';
 $lang['Search for Author'] = 'ابحث عن الكاتب';
-$lang['Search in albums'] = 'ابحث في الألبومات';
+$lang['Search in albums'] = 'أبحث في الألبومات';
 $lang['Search by date'] = 'بحث حسب التاريخ';
 $lang['Date'] = 'التاريح';
@@ -268,5 +268,5 @@
 $lang['Search results'] = 'نتائج البحث ';
 $lang['Search in sub-albums'] = 'بحث في الألبومات الفرعية';
-$lang['searched words : %s'] = 'نتيجة البحث عن .. : %s';
+$lang['searched words : %s'] = 'نتيجة البحث عن : %s';
 $lang['Contact'] = 'إتصل بـ';
 $lang['set as album representative'] = 'تحديد فئة الصفة او النموذج';
@@ -333,5 +333,5 @@
 $lang['Edit a comment'] = 'حرر تعليق';
 $lang['(!) This comment requires validation'] = '(!) التعليق يحتاج تصريح';
-$lang['Welcome'] = 'مرحبا بك';
+$lang['Welcome'] = 'أهلاً وسهلا ً';
 $lang['Welcome to your Piwigo photo gallery!'] = ' Piwigo مرحبا بك في  معرض الصور الخاص بك';
 $lang['... or browse your empty gallery'] = '.. أو تصفح معرضك الفارغ';
@@ -340,5 +340,5 @@
 $lang['I want to add photos'] = 'أريد أن أضيف صور';
 $lang['Manage this user comment: %s'] = ' %s حرر تعليق المستخدم :';
-$lang['This author modified following comment:'] = 'هذا الكاتب اعاد تحرير تعليقه  : ';
+$lang['This author modified following comment:'] = 'هذا الكاتب حرر تعليقه  : ';
 $lang['This author removed the comment with id %d'] = 'هذا الكاتب حذف تعليقه : %d';
 $lang['html tags are not allowed in login'] = 'اكواد html غير مسموحة في تسجيل الدخول';
@@ -366,6 +366,6 @@
 $lang['User "%s" has no email address, password reset is not possible'] = 'ليس للمستخدم "%s" بريد الكتروني .. لا يمكن اعادة تعين كامة المرور ';
 $lang['Username "%s" on gallery %s'] = 'اسم المستخدم "%s"  في  معرض %s ';
-$lang['Username or email'] = 'اسم المستخدم او البريد الالكتروني ';
-$lang['You will receive a link to create a new password via email.'] = 'ستصل الى بريدك رسالة برابط انشاء كلمة مرور جديدة ';
+$lang['Username or email'] = 'أسم المستخدم أو البريد الإلكتروني ';
+$lang['You will receive a link to create a new password via email.'] = 'ستصل إلى بريدك رسالة فيها رابط إنشاء كلمة مرور جديدة ';
 $lang['Your password has been reset'] = ' تم اعادة تعيين كلمة المرور بنجاج ';
 
@@ -377,10 +377,10 @@
 $lang['thumb'] = 'تصفح';
 $lang['xlarge'] = 'كبير جداً';
-$lang['xxlarge'] = 'كبير جدا جداً';
+$lang['xxlarge'] = 'كبير جداً جداً';
 $lang['2small'] = 'XXS-صغير';
 $lang['Desktop'] = 'سطح المكتب';
 $lang['Hello %s,'] = 'السلام عليكم %s.';
-$lang['Here are your connection settings'] = 'هنا تجد معلومات الدخولز';
-$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'إذا كنت تعتقد أن هناك خطأ في تلقي  هذه الرسالة , فضلاً اتصل بنا عبر %s';
+$lang['Here are your connection settings'] = 'هنا تجد معلومات الدخول ';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'إذا كنت تعتقد أن هناك خطأ في تلقيك  هذه الرسالة , فضلاً اتصل بنا عبر %s';
 $lang['Mobile'] = 'محمول';
 $lang['Password: %s'] = 'كلمة المرور: %s';
@@ -394,5 +394,5 @@
 $lang['Username: %s'] = 'أسم المستخدم : %s';
 $lang['View in'] = 'عرض في';
-$lang['xsmall'] = 'XS - صغير اكثر';
+$lang['xsmall'] = 'XS - صغير أكثر';
 $lang['Your username has been successfully changed to : %s'] = 'تم تغيير أسم المستخدم الخاص بك  إلى : %s.';
 ?>