Index: /extensions/gally/gally-black-graphite/language/es_ES/index.php
===================================================================
--- /extensions/gally/gally-black-graphite/language/es_ES/index.php	(revision 13705)
+++ /extensions/gally/gally-black-graphite/language/es_ES/index.php	(revision 13705)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gally/gally-black-graphite/language/es_ES/theme.lang.php
===================================================================
--- /extensions/gally/gally-black-graphite/language/es_ES/theme.lang.php	(revision 13705)
+++ /extensions/gally/gally-black-graphite/language/es_ES/theme.lang.php	(revision 13705)
@@ -0,0 +1,10 @@
+<?php
+
+$lang['gally_menu_1'] = 'Menú';
+$lang['gally_menu_1_desc'] = 'Esta página permite establecer las propiedades de la barra de navegación de la galería';
+$lang['gally_expand_menu'] = 'Apertura del menú';
+$lang['gally_expand_menu_desc'] = 'Esta opción permite abrir completamente el menú de categorías y subcategorías';
+$lang['gally_expand_menu_yes'] = 'Abrir el menú';
+$lang['gally_expand_menu_no'] = 'No abrir el menú';
+
+?>
Index: /extensions/gally/gally-black-graphite/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/gally/gally-black-graphite/language/fr_FR/theme.lang.php	(revision 13704)
+++ /extensions/gally/gally-black-graphite/language/fr_FR/theme.lang.php	(revision 13705)
Index: /extensions/gally/gally-lapis-lazuli/language/es_ES/index.php
===================================================================
--- /extensions/gally/gally-lapis-lazuli/language/es_ES/index.php	(revision 13705)
+++ /extensions/gally/gally-lapis-lazuli/language/es_ES/index.php	(revision 13705)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gally/gally-lapis-lazuli/language/es_ES/theme.lang.php
===================================================================
--- /extensions/gally/gally-lapis-lazuli/language/es_ES/theme.lang.php	(revision 13705)
+++ /extensions/gally/gally-lapis-lazuli/language/es_ES/theme.lang.php	(revision 13705)
@@ -0,0 +1,10 @@
+<?php
+
+$lang['gally_menu_1'] = 'Menú';
+$lang['gally_menu_1_desc'] = 'Esta página permite establecer las propiedades de la barra de navegación de la galería';
+$lang['gally_expand_menu'] = 'Apertura del menú';
+$lang['gally_expand_menu_desc'] = 'Esta opción permite abrir completamente el menú de categorías y subcategorías';
+$lang['gally_expand_menu_yes'] = 'Abrir el menú';
+$lang['gally_expand_menu_no'] = 'No abrir el menú';
+
+?>
Index: /extensions/gally/gally-lapis-lazuli/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/gally/gally-lapis-lazuli/language/fr_FR/theme.lang.php	(revision 13704)
+++ /extensions/gally/gally-lapis-lazuli/language/fr_FR/theme.lang.php	(revision 13705)
Index: /extensions/gally/gally-lapis-lazuli/language/it_IT/index.php
===================================================================
--- /extensions/gally/gally-lapis-lazuli/language/it_IT/index.php	(revision 13704)
+++ /extensions/gally/gally-lapis-lazuli/language/it_IT/index.php	(revision 13705)
Index: /extensions/gally/gally-lapis-lazuli/language/pl_PL/theme.lang.php
===================================================================
--- /extensions/gally/gally-lapis-lazuli/language/pl_PL/theme.lang.php	(revision 13705)
+++ /extensions/gally/gally-lapis-lazuli/language/pl_PL/theme.lang.php	(revision 13705)
@@ -0,0 +1,29 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['gally_expand_menu'] = 'Rozwijanie menu';
+$lang['gally_expand_menu_desc'] = 'Ta opcja umożliwia budowanie pełnego menu kategorii/podkategorii';
+$lang['gally_expand_menu_no'] = 'Nie rozwijaj menu';
+$lang['gally_expand_menu_yes'] = 'Rozwiń menu';
+$lang['gally_menu_1'] = 'Menu';
+$lang['gally_menu_1_desc'] = 'Ta strona umożliwia zmianę menu galerii';
+?>
Index: /extensions/gally/gally-pink-wedding/language/es_ES/index.php
===================================================================
--- /extensions/gally/gally-pink-wedding/language/es_ES/index.php	(revision 13705)
+++ /extensions/gally/gally-pink-wedding/language/es_ES/index.php	(revision 13705)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/gally/gally-pink-wedding/language/es_ES/theme.lang.php
===================================================================
--- /extensions/gally/gally-pink-wedding/language/es_ES/theme.lang.php	(revision 13705)
+++ /extensions/gally/gally-pink-wedding/language/es_ES/theme.lang.php	(revision 13705)
@@ -0,0 +1,10 @@
+<?php
+
+$lang['gally_menu_1'] = 'Menú';
+$lang['gally_menu_1_desc'] = 'Esta página permite establecer las propiedades de la barra de navegación de la galería';
+$lang['gally_expand_menu'] = 'Apertura del menú';
+$lang['gally_expand_menu_desc'] = 'Esta opción permite abrir completamente el menú de categorías y subcategorías';
+$lang['gally_expand_menu_yes'] = 'Abrir el menú';
+$lang['gally_expand_menu_no'] = 'No abrir el menú';
+
+?>
Index: /extensions/gally/gally-pink-wedding/language/fr_FR/theme.lang.php
===================================================================
--- /extensions/gally/gally-pink-wedding/language/fr_FR/theme.lang.php	(revision 13704)
+++ /extensions/gally/gally-pink-wedding/language/fr_FR/theme.lang.php	(revision 13705)
Index: /extensions/gally/gally-pink-wedding/language/pl_PL/theme.lang.php
===================================================================
--- /extensions/gally/gally-pink-wedding/language/pl_PL/theme.lang.php	(revision 13705)
+++ /extensions/gally/gally-pink-wedding/language/pl_PL/theme.lang.php	(revision 13705)
@@ -0,0 +1,29 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['gally_expand_menu'] = 'Rozwijanie menu';
+$lang['gally_expand_menu_desc'] = 'Ta opcja umożliwia budowanie pełnego menu kategorii/podkategorii';
+$lang['gally_expand_menu_no'] = 'Nie rozwijaj menu';
+$lang['gally_expand_menu_yes'] = 'Rozwiń menu';
+$lang['gally_menu_1'] = 'Menu';
+$lang['gally_menu_1_desc'] = 'Ta strona umożliwia zmianę menu galerii';
+?>