Index: trunk/language/it_IT/admin.lang.php
===================================================================
--- trunk/language/it_IT/admin.lang.php	(revision 13630)
+++ trunk/language/it_IT/admin.lang.php	(revision 13708)
@@ -303,5 +303,10 @@
 $lang['registration date'] = 'Data di registrazione';
 $lang['clean'] = 'Ripulire';
+$lang['remove remote listing.xml file'] = 'cancellare il file "listing.xml" remoto';
+$lang['generate listing'] = 'generare il listing';
+$lang['generate file listing.xml on remote site'] = 'generare il file "listing.xml" sul sito distante';
 $lang['Create this site'] = 'Creare questo sito';
+$lang['A local listing.xml file has been found for'] = 'Un file "listing.xml" locale è stato trovato per';
+$lang['read local listing.xml and update'] = 'leggere il file "listing.xml" locale e aggiornare';
 $lang['test'] = 'Verificare';
 $lang['test this remote site'] = 'Verificare sito remoto';
@@ -316,4 +321,5 @@
 $lang['delete this site and all its attached elements'] = 'Cancellare questo sito e tutte le informazioni ad esso connessi';
 $lang['an error happened'] = 'Si è verificato un\'errore';
+$lang['file create_listing_file.php on remote site was not found'] = 'impossibile trovare il file "create_listing_file.php" sul sito remoto';
 $lang['Local'] = 'Locale';
 $lang['Remote'] = 'Remoto';
@@ -352,4 +358,8 @@
 $lang['Choose an option'] = 'Scegli un\'opzione';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'Mostrare tutte le informazioni possibili (album e foto aggiunti o eliminati)';
+$lang['Piwigo version differs on the remote site'] = 'La versione di Piwigo sul sito remoto è diversa';
+$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Le versioni di "create_listing_file.php" sul sito remoto e Piwigo devono essere le stesse';
+$lang['listing.xml file was not found'] = 'non è stato possibile trovare il file "listing.xml"';
+$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'Non è stato possibile trovare il file "listing.xml" sul sito remoto. Questo file è generato con \"Generare il listing\" nella gestione dei siti';
 $lang['Error list'] = 'Elenco degli errori';
 $lang['Errors caption'] = 'Significato degli errori';
@@ -357,4 +367,6 @@
 $lang['File/directory read error'] = 'Errore in letture del file/directory';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Non è possibile accedere al file o alla directory (probabilmente non esiste o l\'accesso è stato negato)';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Ogni foto riquiede una miniatura. La miniatura deve essere presente nella sotto directory \"thumbnail\" della directory dell\'album. Il nome del file della miniatura deve cominciare con il parametro di configuratione \"prefix_thumbnail\" e l\'estensione del nome del file deve essre contenuto nella lista che segue :';
+$lang['missing thumbnail'] = 'miniatura assente';
 $lang['albums deleted in the database'] = 'album cancellati dal database';
 $lang['photos deleted from the database'] = 'foto cancellate dal database';
@@ -724,6 +736,10 @@
 $lang['Restore'] = 'Restaurare';
 $lang['Restore default configuration. You will lose your plugin settings!'] = 'Reimpostare la configurazione di defaut? Perderete tutte le vostre impostazioni!';
+$lang['Regenerate Thumbnails'] = 'Rigenerare le miniature';
+$lang['Regenerate Websize Photos'] = 'Rigenerare le foto taglia web';
 $lang['Thumbnails generation in progress...'] = 'Rigenerazione delle miniature in corso ...';
 $lang['Photos generation in progress...'] = 'Rigenerazione delle foto in corso ...';
+$lang['%s photos have been regenerated'] = '%s foto sono state rigenerate';
+$lang['%s photos can not be regenerated'] = '%s foto non possono essere rigenerate';
 $lang['%s photos have been regenerated'] = '%s foto sono state rigenerate';
 $lang['%s photos can not be regenerated'] = '%s foto non possono essere rigenerate';
@@ -840,40 +856,39 @@
 $lang['Web Form'] = 'Modulo web';
 $lang['Applications'] = 'Applicazioni';
-
-
-$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'L\'applicazione <em>Piwigo per Android</em> permette di collegarti alla tua galleria di Piwigo dal tuo cellulare o tablet Android, creando album e caricando immagini';
-$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'L\'applicazione <em>Piwigo per iOS</em> permette di collegarti alla tua galleria di Piwigo dal tuo iPhone, iPad o iPod Touch, creando album e caricando immagini';
+$lang['Available versions for'] = 'Versioni disponibili per';
+$lang['Available on'] = 'Disponibile su';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo per iOS (iPhone, iPad, iPod Touch)';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = 'L\'applicazione <em>Piwigo per iOS</em> permette di collegarti alla tua galleria Piwigo dal tuo iPhone, iPad o iPod Touch, creando degli album e caricando le immagini';
+$lang['Piwigo for Android'] = 'Piwigo per Android';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = 'L\'applicazione <em>Piwigo per Android</em> permette di collegarti alla tua galleria di Piwigo dal tuo cellulare o tablet Android, creando degli album e caricando le immagini';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Plugin Piwigo per Lightroom';
 $lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom è un software fotografico specializzato per gestire grandi quantità di immagini ed eseguirne la post-produzione';
+$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Il plugin di Piwigo permette di esportare e sincronizzare le immagini da Lightroom direttamente alla tua galleria di Piwigo';
+$lang['Piwigo publish plugin for Shotwell'] = 'Plugin Piwigo per Shotwell';
+$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell è un organizzatore di immagini digitali open-source che funziona sotto Linux. È il gestore di immagini predefinito di Ubuntu e Fedora';
+$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Su Linux, semplicemente installa il pacchetto Shotwell e attiva l\'opzione di pubblicazione su Piwigo';
+$lang['Piwigo publish plugin for digiKam'] = 'Plugin Piwigo per digiKam';
+$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'Shotwell è un software avanzato per l\'organizzatore di immagini digitali sotto Linux, Windows e MacOSX';
+$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam è realizzato per i fotografi che vogliono vedere, gestire, modificare, migliorare, organizzare, taggare e condividere le loro immagini';
+$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Per esportare le immagini da digiKam a Piwigo, semplicemente installa digiKam e il plugin Kipi';
+$lang['Piwigo export plugin for iPhoto'] = 'Plugin Piwigo per iPhoto';
+$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto è il gestore d\'immagini predefinito su MacOSX. Il plugin di Piwigo permette di creare nuovi album e esportare immagini direttamente da iPhoto sulla Galleria di Piwigo';
+$lang['Piwigo export plugin for Aperture'] = 'Plugin Piwigo per Aperture';
 $lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture è un potente programma per rifinire le immagini e gestire grandi librerie sotto Mac';
 $lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture è realizzato per fotografi professionisti con la semplicità di iPhoto';
-$lang['Available on'] = 'Disponibile su';
-$lang['Available versions for'] = 'Versioni disponibili per';
-$lang['Delete multiple size images'] = 'Elimina immagini di diverse dimensioni';
-$lang['digiKam is an advanced digital photo management free software for Linux, Windows, and MacOSX.'] = 'Shotwell è un software avanzato per l\'organizzatore di immagini digitali sotto Linux, Windows e MacOSX';
-$lang['digiKam is designed for photographers who want to view, manage, edit, enhance, organize, tag, and share photographs.'] = 'digiKam è realizzato per i fotografi che vogliono vedere, gestire, modificare, migliorare, organizzare, taggare e condividere le loro immagini';
+$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Il plugin di esportazione Piwigo permette di creare album e caricare le immagini';
+$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery client per Android) è un client open-source (GPL v3) per Piwigo sotto piattaforma Android';
 $lang['Features include gallery browsing, album creation and photo upload.'] = 'Le caratteristiche includono la navigazione nella galleria, la creazione di album e il caricamento di immagini';
-$lang['Generate multiple size images'] = 'Genera immagini di diverse dimensioni';
-$lang['iPhoto is the default photo manager on MacOSX. The Piwigo export plugin let you create new albums and export your photos directly from iPhoto to your Piwigo photo gallery.'] = 'iPhoto è il gestore d\'immagini predefinito su MacOSX. Il plugin di Piwigo permette di creare nuovi album e esportare immagini direttamente da iPhoto sulla Galleria di Piwigo';
-$lang['On your Linux, simply install Shotwell with your package manager and the activate Piwigo publishing option.'] = 'Su Linux, semplicemente installa il pacchetto Shotwell e attiva l\'opzione di pubblicazione su Piwigo';
-$lang['Piwigo export plugin for Aperture'] = 'Plugin Piwigo per Aperture';
-$lang['Piwigo export plugin for iPhoto'] = 'Plugin Piwigo per iPhoto';
-$lang['Piwigo for Android'] = 'Piwigo per Android';
-$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo per iOS (iPhone, iPad, iPod Touch)';
-$lang['Piwigo publish plugin for digiKam'] = 'Plugin Piwigo per digiKam';
-$lang['Piwigo Publish plugin for Lightroom'] = 'Plugin Piwigo per Lightroom';
-$lang['Piwigo publish plugin for Shotwell'] = 'Plugin Piwigo per Shotwell';
-$lang['ReGalAndroid (RemoteGallery client for Android) is an open source (GPL v3) Piwigo client for the Android platform.'] = 'ReGalAndroid (RemoteGallery client per Android) è un client open-source (GPL v3) per Piwigo sotto piattaforma Android';
-$lang['Shotwell is an open source digital photo organizer that runs on Linux. It is the default photo manager in Ubuntu and Fedora.'] = 'Shotwell è un organizzatore di immagini digitali open-source che funziona sotto Linux. E\' il gestore di immagini predefinito di Ubuntu e Fedora';
-$lang['The Piwigo export plugin allows you to create albums and export photos.'] = 'Il plugin di esportazione Piwigo permette di creare album e caricare le immagini';
-$lang['The Piwigo publish Plug-in allows you to export and synchronize photos from Lightroom directly to your Piwigo photo gallery.'] = 'Il plugin di Piwigo permette di esportare e sincronizzare le immagini da Lightroom direttamente alla tua galleria di Piwigo';
-$lang['To export your photos from digiKam to Piwigo, simply install digiKam and the Kipi-plugins.'] = 'Per esportare le immagini da digiKam a Piwigo, semplicemente installa digiKam e il plugin Kipi';
-$lang['%u users have automatic permission because they belong to a granted group.'] = '%u utenti hanno automaticamente i permessi in quanto appartengono ad un gruppo ammesso';
 $lang['any visitor can see this album'] = 'qualsiasi visitatore può vedere questo album';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'i visitatori devono registrarsi ed avere i permessi adeguati per vedere questo album';
 $lang['Groups and users'] = 'Gruppi e utenti';
 $lang['Permission granted for groups'] = 'Permessi ammessi ai gruppi';
+$lang['Select groups...'] = 'Selezione gruppi..';
+$lang['There is no group in this gallery.'] = 'Non c\'è nessun gruppo in questa galleria';
 $lang['Permission granted for users'] = 'Permessi ammessi agli utenti';
-$lang['Select groups...'] = 'Selezione gruppi..';
 $lang['Select users...'] = 'Selezione utenti..';
-$lang['There is no group in this gallery.'] = 'Non c\'è nessun gruppo in questa galleria';
-$lang['visitors need to login and have the appropriate permissions to see this album'] = 'i visitatori devono registrarsi ed avere i permessi adeguati per vedere questo album';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u utenti hanno automaticamente i permessi in quanto appartengono ad un gruppo ammesso';
+$lang['include photos with lower privacy level'] = 'includere le foto di un livello di confidenzalità inferiore';
+$lang['No group is permitted to see this private album'] = 'Nessun gruppo è autorizato a vedere quest\'album privato';
+$lang['Permission management'] = 'Gestione dei permessi';
 ?>