Index: trunk/language/it_IT/admin.lang.php
===================================================================
--- trunk/language/it_IT/admin.lang.php	(revision 13709)
+++ trunk/language/it_IT/admin.lang.php	(revision 13710)
@@ -303,10 +303,5 @@
 $lang['registration date'] = 'Data di registrazione';
 $lang['clean'] = 'Ripulire';
-$lang['remove remote listing.xml file'] = 'cancellare il file "listing.xml" remoto';
-$lang['generate listing'] = 'generare il listing';
-$lang['generate file listing.xml on remote site'] = 'generare il file "listing.xml" sul sito distante';
 $lang['Create this site'] = 'Creare questo sito';
-$lang['A local listing.xml file has been found for'] = 'Un file "listing.xml" locale è stato trovato per';
-$lang['read local listing.xml and update'] = 'leggere il file "listing.xml" locale e aggiornare';
 $lang['test'] = 'Verificare';
 $lang['test this remote site'] = 'Verificare sito remoto';
@@ -321,5 +316,4 @@
 $lang['delete this site and all its attached elements'] = 'Cancellare questo sito e tutte le informazioni ad esso connessi';
 $lang['an error happened'] = 'Si è verificato un\'errore';
-$lang['file create_listing_file.php on remote site was not found'] = 'impossibile trovare il file "create_listing_file.php" sul sito remoto';
 $lang['Local'] = 'Locale';
 $lang['Remote'] = 'Remoto';
@@ -358,8 +352,4 @@
 $lang['Choose an option'] = 'Scegli un\'opzione';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'Mostrare tutte le informazioni possibili (album e foto aggiunti o eliminati)';
-$lang['Piwigo version differs on the remote site'] = 'La versione di Piwigo sul sito remoto è diversa';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Le versioni di "create_listing_file.php" sul sito remoto e Piwigo devono essere le stesse';
-$lang['listing.xml file was not found'] = 'non è stato possibile trovare il file "listing.xml"';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'Non è stato possibile trovare il file "listing.xml" sul sito remoto. Questo file è generato con \"Generare il listing\" nella gestione dei siti';
 $lang['Error list'] = 'Elenco degli errori';
 $lang['Errors caption'] = 'Significato degli errori';
@@ -367,6 +357,4 @@
 $lang['File/directory read error'] = 'Errore in letture del file/directory';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Non è possibile accedere al file o alla directory (probabilmente non esiste o l\'accesso è stato negato)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'Ogni foto riquiede una miniatura. La miniatura deve essere presente nella sotto directory \"thumbnail\" della directory dell\'album. Il nome del file della miniatura deve cominciare con il parametro di configuratione \"prefix_thumbnail\" e l\'estensione del nome del file deve essre contenuto nella lista che segue :';
-$lang['missing thumbnail'] = 'miniatura assente';
 $lang['albums deleted in the database'] = 'album cancellati dal database';
 $lang['photos deleted from the database'] = 'foto cancellate dal database';
@@ -736,6 +724,4 @@
 $lang['Restore'] = 'Restaurare';
 $lang['Restore default configuration. You will lose your plugin settings!'] = 'Reimpostare la configurazione di defaut? Perderete tutte le vostre impostazioni!';
-$lang['Regenerate Thumbnails'] = 'Rigenerare le miniature';
-$lang['Regenerate Websize Photos'] = 'Rigenerare le foto taglia web';
 $lang['Thumbnails generation in progress...'] = 'Rigenerazione delle miniature in corso ...';
 $lang['Photos generation in progress...'] = 'Rigenerazione delle foto in corso ...';
@@ -889,6 +875,7 @@
 $lang['Select users...'] = 'Selezione utenti..';
 $lang['%u users have automatic permission because they belong to a granted group.'] = '%u utenti hanno automaticamente i permessi in quanto appartengono ad un gruppo ammesso';
-$lang['include photos with lower privacy level'] = 'includere le foto di un livello di confidenzalità inferiore';
-$lang['No group is permitted to see this private album'] = 'Nessun gruppo è autorizato a vedere quest\'album privato';
-$lang['Permission management'] = 'Gestione dei permessi';
+$lang['include photos with lower privacy level'] = 'includi immagini con livello di sicurezza più basso';
+$lang['No group is permitted to see this private album'] = 'A nessun gruppo è permesso visualizzare questo album privato';
+$lang['Permission management'] = 'Gestione permessi';
+$lang['custom'] = 'Personalizzato';
 ?>