Index: /extensions/whois_online/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/whois_online/language/uk_UA/plugin.lang.php	(revision 13722)
+++ /extensions/whois_online/language/uk_UA/plugin.lang.php	(revision 13723)
@@ -31,5 +31,5 @@
 $lang['More than 24h'] = 'Більш ніж за 24 години';
 $lang['No country'] = 'Жодна країна';
-$lang['On pictures'] = 'На зображеннях';
+$lang['On pictures'] = 'на зображеннях';
 $lang['One day'] = 'Один день';
 $lang['Recent member(s):'] = 'Останній користувач(і):';
@@ -79,3 +79,42 @@
 $lang['You are Adviser and you are not authorized to change this configuration.'] = 'Ви Радник і ви не маєте права змінювати цю конфігурацію.';
 $lang['Radar_limit [10-200] (Users with image cluetips on radar page)'] = 'Radar_limit [10-200](Користувачі із зображенням ключ поради на радарній сторінці)';
+$lang[' - Over the radar limit => No level control'] = '- За обмеження радару => Немає рівня керування';
+$lang[' => Delete old guests access (over 3 days), and optimize table and index.'] = ' => Видаліть старий доступ гостей(понад 3 дні), і оптимізуйте таблицю та індекс.';
+$lang[': provides IP geolocalization on request (link on flag). Useful for unknown countries.'] = ': забезпечує IP геолокалізації по запиту (посилання на прапор). Корисно для невідомих країн.';
+$lang[': provides newcomers\' localization and possibly new country flags, thanks to them.'] = ': забезпечує новачків локалізації і, можливо, новий прапор країни, завдяки їм.';
+$lang['Administrators management:'] = 'Управління адміністраторами:';
+$lang['Advanced users: template vars are available in all cases and might be included in your extensions'] = 'Досвідчені користувачі: зміна шаблону доступна у всіх випадках і може бути включена до ваших розширень.';
+$lang['Altered/created since: %s'] = 'Змінив/створив: %s';
+$lang['Captured guests'] = 'Захоплені гості';
+$lang['Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.'] = 'Очистити тимчасових користувачів (мінімальна затримка становить 6 хвилин). Для очищення будь-яких постійних користувачів, перемкніть їх раніше у правильному списку вище.';
+$lang['Hits since'] = 'Перегляди з';
+$lang['Image privacy level is higher than the user privacy level (Any change of one of them?)'] = 'Рівень конфіденційності зображення, перевищує рівень конфіденційності користувача (Будь-яка зміна одного з них?)';
+$lang['Last 24h accesses'] = 'Доступ за останні 24 години';
+$lang['Members summary'] = 'Резюме користувачів';
+$lang['Monitored members'] = 'Контроль користувачів';
+$lang['More than 24h accesses'] = 'Доступ більш ніж за 24 години';
+$lang['Most members ever online was %s on %s'] = 'Найбільше користувачів в онлайні тут було  %s на %s';
+$lang['Most recent 10 minutes hits:'] = 'Перегляди за останні 10 хвилин:';
+$lang['No picture accesses'] = 'Немає доступних зображень';
+$lang['Obsolete limit [20-100] (obsolete data count)'] = 'Застарілий ліміт [20-100] (кількість застарілих даних)';
+$lang['on pages'] = 'на сторінках';
+$lang['Only one day accesses'] = 'Тільки один день доступу';
+$lang['Permanence/Durability of user monitoring'] = 'Постійний/Довготривалий моніторинг користувачів';
+$lang['Pictures accesses'] = 'Доступні зображення';
+$lang['Previous connection dates'] = 'Попереднє підключення дати';
+$lang['Registered since'] = 'Зареєстровано з';
+$lang['Registration counter: %s'] = 'Реєстрація лічильників: %s';
+$lang['Report'] = 'Звіт радару';
+$lang['Several days accesses or over midnight'] = 'Кілька днів доступу, або більше опівночі';
+$lang['Several identified IPs (Only the first one is kept)'] = 'Визначення кількох IP-адрес(тільки перша з них зберігається)';
+$lang['Some of recently viewed pictures by other users'] = 'Деякі з недавно переглянутих зображень іншими користувачами';
+$lang['Space used: %s'] = 'Простору використано: %s';
+$lang['Traced sessions: %s'] = 'Візуалізовані сесії: %s';
+$lang['Unidentifed countries'] = 'Невідомі країни';
+$lang['Unused allocated space: <strong>%s</strong>'] = 'Невикористаний виділений простір: <strong>%s</strong>';
+$lang['Users with image cluetips [10-200]'] = 'Користувачі з ключами порад зображення [10-200]';
+$lang['Webmasters management:'] = 'Управління вебмайстерами:';
+$lang['Y-m-d H:i'] = 'F dS, Y g:i A';
+$lang['Your recently viewed pictures'] = 'Ваші нещодавно переглянуті зображення';
+$lang['Your `%s` table summary'] = 'Ваша зведена таблиця `%s`';
 ?>