Index: /trunk/themes/Sylvia/theme.css
===================================================================
--- /trunk/themes/Sylvia/theme.css	(revision 13728)
+++ /trunk/themes/Sylvia/theme.css	(revision 13729)
@@ -477,5 +477,5 @@
 }
 
-#derivativeSwitchBox, #sortOrderBox {
+.switchBox {
     background-color: #222222;
     border: 1px solid #FF3363;
Index: /trunk/themes/clear/theme.css
===================================================================
--- /trunk/themes/clear/theme.css	(revision 13728)
+++ /trunk/themes/clear/theme.css	(revision 13729)
@@ -15,10 +15,10 @@
 }
 
-#menubar DL, .content, #imageToolBar, #derivativeSwitchBox, #sortOrderBox, .header_notes {
+#menubar DL, .content, #imageToolBar, .switchBox, .header_notes {
   background-color: #eeeeee;
 }
 
 /* borders */
-#menubar DL, .content, #imageToolBar, #derivativeSwitchBox, #sortOrderBox {
+#menubar DL, .content, #imageToolBar, .switchBox {
   border: 1px solid #d3d3d3;
 }
Index: /trunk/themes/dark/theme.css
===================================================================
--- /trunk/themes/dark/theme.css	(revision 13728)
+++ /trunk/themes/dark/theme.css	(revision 13729)
@@ -18,5 +18,5 @@
 }
 
-#menubar DL, .content, #imageToolBar, #imageHeaderBar, #derivativeSwitchBox, #sortOrderBox, .header_notes {
+#menubar DL, .content, #imageToolBar, #imageHeaderBar, .switchBox, .header_notes {
 	background-color: #505050;
 }
@@ -31,5 +31,5 @@
 
 /* borders */
-#menubar DL, .content, #derivativeSwitchBox, #sortOrderBox{
+#menubar DL, .content, .switchBox {
 	border: 1px solid #000;
 }
Index: /trunk/themes/default/template/index.tpl
===================================================================
--- /trunk/themes/default/template/index.tpl	(revision 13728)
+++ /trunk/themes/default/template/index.tpl	(revision 13729)
@@ -8,11 +8,11 @@
 			<span class="pwg-icon pwg-icon-sort">&nbsp;</span><span class="pwg-button-text">{'Sort order'|@translate}</span>
 		</a>
-		<div id="sortOrderBox" style="display:none; text-align:left" onclick="toggleSortOrderBox()" onmouseout="e=event.toElement||event.relatedTarget;e.parentNode==this||e==this||toggleSortOrderBox()">
+		<div id="sortOrderBox" class="switchBox" style="display:none; text-align:left" onclick="toggleSortOrderBox()" onmouseout="e=event.toElement||event.relatedTarget;e.parentNode==this||e==this||toggleSortOrderBox()">
 			<div class="switchBoxTitle">{'Sort order'|@translate}</div>
 			{foreach from=$image_orders item=image_order name=loop}{if !$smarty.foreach.loop.first}<br>{/if}
 			{if $image_order.SELECTED}
-			<span>&#x2714; {$image_order.DISPLAY}</span>
+			<span class="switchCheck">&#x2714; </span><span class="switchSelected">{$image_order.DISPLAY}</span>
 			{else}
-			<a href="{$image_order.URL}" rel="nofollow">{$image_order.DISPLAY}</a>
+			<a href="{$image_order.URL}" class="switchUnselected" rel="nofollow">{$image_order.DISPLAY}</a>
 			{/if}
 			{/foreach}
@@ -39,11 +39,11 @@
 			<span class="pwg-icon pwg-icon-sizes">&nbsp;</span><span class="pwg-button-text">{'Photo sizes'|@translate}</span>
 		</a>
-		<div id="derivativeSwitchBox" style="display:none; text-align:left" onclick="toggleImageDerivativesBox()" onmouseout="e=event.toElement||event.relatedTarget;e.parentNode==this||e==this||toggleImageDerivativesBox()">
+		<div id="derivativeSwitchBox" class="switchBox" style="display:none; text-align:left" onclick="toggleImageDerivativesBox()" onmouseout="e=event.toElement||event.relatedTarget;e.parentNode==this||e==this||toggleImageDerivativesBox()">
 			<div class="switchBoxTitle">{'Photo sizes'|@translate}</div>
 			{foreach from=$image_derivatives item=image_derivative name=loop}{if !$smarty.foreach.loop.first}<br>{/if}
 			{if $image_derivative.SELECTED}
-			<span>&#x2714; {$image_derivative.DISPLAY}</span>
+			<span class="switchCheck">&#x2714; </span><span class="switchSelected">{$image_derivative.DISPLAY}</span>
 			{else}
-			<a href="{$image_derivative.URL}" rel="nofollow">{$image_derivative.DISPLAY}</a>
+			<a href="{$image_derivative.URL}" class="switchUnselected" rel="nofollow">{$image_derivative.DISPLAY}</a>
 			{/if}
 			{/foreach}
Index: /trunk/themes/default/template/menubar.tpl
===================================================================
--- /trunk/themes/default/template/menubar.tpl	(revision 13728)
+++ /trunk/themes/default/template/menubar.tpl	(revision 13729)
@@ -10,4 +10,4 @@
 	</dl>
 	{/foreach}
-</div>
+</div><div id="menuSwitcher"></div>
 {/if}
Index: /trunk/themes/default/template/picture.tpl
===================================================================
--- /trunk/themes/default/template/picture.tpl	(revision 13728)
+++ /trunk/themes/default/template/picture.tpl	(revision 13729)
@@ -32,5 +32,7 @@
   jQuery('.derivativeChecked').hide();
   jQuery('#derivativeChecked'+typeSave).show();
-	document.cookie = 'picture_deriv='+typeSave+';path={/literal}{$COOKIE_PATH}{literal}';
+  jQuery('#derivativeSiwtchBox .switchSelected').addClass('switchUnselected').removeClass('switchSelected');
+  jQuery('#derivativeName'+typeSave).addClass('switchSelected').removeClass('switchUnselected');
+    document.cookie = 'picture_deriv='+typeSave+';path={/literal}{$COOKIE_PATH}{literal}';
 }
 
@@ -42,5 +44,5 @@
 	{
 		elt.style.position = "absolute";
-		elt.style.left = (ePos.offsetLeft+10)+"px";
+		elt.style.left = (ePos.offsetLeft)+"px";
 		elt.style.top = (ePos.offsetTop+ePos.offsetHeight)+"px";
 		elt.style.display="";
@@ -52,8 +54,14 @@
 {strip}<a id="derivativeSwitchLink" href="javascript:toggleDerivativeSwitchBox()" title="{'Photo sizes'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
 <span class="pwg-icon pwg-icon-sizes">&nbsp;</span><span class="pwg-button-text">{'Photo sizes'|@translate}</span></a>
-<div id="derivativeSwitchBox" onclick="toggleDerivativeSwitchBox()" style="display:none">
+<div id="derivativeSwitchBox" class="switchBox" onclick="toggleDerivativeSwitchBox()" style="display:none" onmouseout="e=event.toElement||event.relatedTarget;e.parentNode==this||e==this||toggleDerivativeSwitchBox()">
 <div class="switchBoxTitle">{'Photo sizes'|@translate}</div>
 {foreach from=$current.unique_derivatives item=derivative key=derivative_type}
-<span class="derivativeChecked" id="derivativeChecked{$derivative->get_type()}" {if $derivative->get_type() ne $current.selected_derivative->get_type()}style="display:none"{/if}>&#x2714;</span> <a href="javascript:changeImgSrc('{$derivative->get_url()|@escape:javascript}','{$derivative_type}','{$derivative->get_type()}')">{$derivative->get_type()|@translate}<span class="derivativeSizeDetails"> ({$derivative->get_size_hr()})</span></a><br>
+<span class="derivativeChecked switchCheck"
+ id="derivativeChecked{$derivative_type}" {if $derivative->get_type() ne $current.selected_derivative->get_type()}style="display:none"{/if}>&#x2714; </span> 
+<a href="javascript:changeImgSrc('{$derivative->get_url()|@escape:javascript}','{$derivative_type}','{$derivative->get_type()}')"
+ id="derivativeName{$derivative_type}"
+ class="{if $derivative->get_type() == $current.selected_derivative->get_type()}switchSelected{else}switchUnselected{/if}">
+	{$derivative->get_type()|@translate}<span class="derivativeSizeDetails"> ({$derivative->get_size_hr()})</span>
+</a><br>
 {/foreach}
 {if isset($U_ORIGINAL)}
Index: /trunk/themes/default/template/picture_nav_buttons.tpl
===================================================================
--- /trunk/themes/default/template/picture_nav_buttons.tpl	(revision 13728)
+++ /trunk/themes/default/template/picture_nav_buttons.tpl	(revision 13729)
@@ -31,5 +31,5 @@
 	</a>
 {/if}
-{strip}{if isset($first)}
+<!--{strip}{if isset($first)}
 	<a href="{$first.U_IMG}" title="{'First'|@translate} : {$first.TITLE}" class="pwg-state-default pwg-button">
 		<span class="pwg-icon pwg-icon-arrowstop-w">&nbsp;</span><span class="pwg-button-text">{'First'|@translate}</span>
@@ -39,5 +39,5 @@
 		<span class="pwg-icon pwg-icon-arrowstop-w">&nbsp;</span><span class="pwg-button-text">{'First'|@translate}</span>
 	</span>
-{/if}{/strip}
+{/if}{/strip}-->
 {strip}{if isset($previous)}
 	<a href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE}" class="pwg-state-default pwg-button">
@@ -73,5 +73,5 @@
 	</span>
 {/if}{/strip}
-{strip}{if isset($last)}
+<!--{strip}{if isset($last)}
 	<a href="{$last.U_IMG}" title="{'Last'|@translate} : {$last.TITLE}" class="pwg-state-default pwg-button pwg-button-icon-right">
 		<span class="pwg-icon pwg-icon-arrowstop-e"></span><span class="pwg-button-text">{'Last'|@translate}</span>
@@ -81,5 +81,5 @@
 		<span class="pwg-icon pwg-icon-arrowstop-e">&nbsp;</span><span class="pwg-button-text">{'Last'|@translate}</span>
 	</span>
-{/if}{/strip}
+{/if}{/strip}-->
 {/if}
 </div>
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 13728)
+++ /trunk/themes/default/theme.css	(revision 13729)
@@ -382,5 +382,5 @@
 #imageToolBar .pwg-button {width:42px;}
 
-#derivativeSwitchBox, #sortOrderBox {
+.switchBox {
 	padding: 0.5em 10px;
 	border-radius: 4px;