Index: trunk/language/pl_PL/admin.lang.php
===================================================================
--- trunk/language/pl_PL/admin.lang.php	(revision 13120)
+++ trunk/language/pl_PL/admin.lang.php	(revision 13732)
@@ -297,10 +297,5 @@
 $lang['registration date'] = 'data rejestracji';
 $lang['clean'] = 'wyczyść';
-$lang['remove remote listing.xml file'] = 'usuń na zdalnej stronie plik listing.xml';
-$lang['generate listing'] = 'generuj listę';
-$lang['generate file listing.xml on remote site'] = 'generuj plik listing.xml na zdalnej stronie';
 $lang['Create this site'] = 'Utwórz tę stronę';
-$lang['A local listing.xml file has been found for'] = 'Odnaleziono lokalny plik listing.xml dla ';
-$lang['read local listing.xml and update'] = 'odczytaj i aktualizuj lokalny plik listing.xml';
 $lang['test'] = 'test';
 $lang['test this remote site'] = 'testuj zdalną stronę';
@@ -316,5 +311,4 @@
 $lang['delete this site and all its attached elements'] = 'usuń tę stronę oraz wszystkie załączone elementy';
 $lang['an error happened'] = 'wystąpił błąd';
-$lang['file create_listing_file.php on remote site was not found'] = 'nie odnaleziono pliku create_listing_file.php na zdalnej stronie';
 $lang['Local'] = 'Lokalny';
 $lang['Remote'] = 'Zdalny';
@@ -354,8 +348,4 @@
 $lang['Choose an option'] = 'Wybierz opcję';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'pokaż maksimum informacji (dodanie albumu i elementów, usunięcie albumu i elementów)';
-$lang['Piwigo version differs on the remote site'] = 'Wersja Piwigo na zdalnej stronie jest inna';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Wersja pliku create_listing_file.php na zdalnej stronie musi być taka sama jak w Piwigo';
-$lang['listing.xml file was not found'] = 'Nie odnaleziono pliku listing.xml';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'Nie odnaleziono pliku listing.xml na zdalnej stronie. Plik ten jest generowany przez wybranie "generuj listę" w Menadżerze strony';
 $lang['Error list'] = 'Lista błędów';
 $lang['Errors caption'] = 'Nagłówki błędów';
@@ -363,6 +353,4 @@
 $lang['File/directory read error'] = 'Błąd odczytu pliku/katalogu';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Brak dostępu do pliku lub katalogu (nie istnieje lub brak uprawnień)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'typ pliku wymaga miniatury. Miniatura musi znajdować się w podkatalogu "thumbnail" danej kategorii. Nazwa pliku z miniaturą musi zaczynać się od skonfigurowanego prefixu, a rozszerzenie pliku musi być następujące :';
-$lang['missing thumbnail'] = 'brakujące miniatury';
 $lang['albums deleted in the database'] = 'albumy usunięte z bazy danych';
 $lang['photos deleted from the database'] = 'elementów usuniętych z bazy danych';
@@ -740,10 +728,6 @@
 $lang['Restore default configuration. You will lose your plugin settings!'] = 'Przywróć domyślną konfigurację. Stracisz ustawienia wtyczek!';
 $lang['Show menubar'] = 'Pokazuj belkę z menu';
-$lang['Regenerate Thumbnails'] = 'Twórz ponownie miniatury';
-$lang['Regenerate Websize Photos'] = 'Twórz ponownie zdjęcia rozmiaru web';
 $lang['Thumbnails generation in progress...'] = 'Trwa tworzenie miniatur...';
 $lang['Photos generation in progress...'] = 'Trwa tworzenie zdjęć...';
-$lang['%s thumbnails have been regenerated'] = 'Zostało stworzonych %s miniatur';
-$lang['%s thumbnails can not be regenerated'] = '%s miniatur nie mogło zostać stworzonych';
 $lang['%s photos have been regenerated'] = 'Stworzono %s zdjęć';
 $lang['%s photos can not be regenerated'] = '%s zdjęć nie mogło zostać stworzonych';
@@ -845,3 +829,11 @@
 $lang['Move to album'] = 'Przenieś do albumu';
 
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo na Androida</em> aplikacja daje możliwość połączenia Twojej galerii Piwigo z Twoim telefonem lub tabletem opartym na Androidzie. Możesz tworzyć albumy i wysyłać wiele zdjęć jednocześnie.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo na iOS</em> aplikacja daje możliwość połączenia Twojej galerii Piwigo z Twoim iPhonem, iPadem lub iPodem. Możesz tworzyć albumy i wysyłać wiele zdjęć jednocześnie.';
+$lang['Applications'] = 'Aplikacje';
+$lang['Available on'] = 'Dostępne na';
+$lang['Available versions for'] = 'Wersje dostępne na';
+$lang['Cancel'] = 'Anuluj';
+$lang['Piwigo for Android'] = 'Piwigo na Androida';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo na iOS (iPhone, iPad, iPod Touch)';
 ?>