Index: /trunk/language/pl_PL/admin.lang.php
===================================================================
--- /trunk/language/pl_PL/admin.lang.php	(revision 13739)
+++ /trunk/language/pl_PL/admin.lang.php	(revision 13740)
@@ -60,5 +60,5 @@
 $lang['Caddie'] = 'Koszyk';
 $lang['Albums authorized thanks to group associations'] = 'Albumy zautoryzowane dzięki powiązaniom z grupami';
-$lang['Album manual order was saved'] = 'Ręcznie ustawiona kolejność albumów została zapisana';
+$lang['Album manual order was saved'] = 'Zapisano własną kolejność albumów';
 $lang['Check for upgrade failed for unknown reasons.'] = 'Sprawdzenie aktualizacji nie powiodło się z nieznanych powodów.';
 $lang['Check for upgrade'] = 'Sprawdź aktualizacje';
@@ -159,5 +159,5 @@
 $lang['The %d following tags were deleted'] = '%d tagów zostało usuniętych';
 $lang['Uninstall'] = 'Odinstaluj';
-$lang['Use the default photo sort order (defined in the configuration file)']='Użyj domyślnego sortowania obrazów (zdefiniowane w pliku konfiguracyjnym)';
+$lang['Use the default photo sort order (defined in the configuration file)'] = 'Użyj domyślnego sortowania zdjęć (zdefiniowane w pliku konfiguracyjnym)';
 $lang['User comments validation'] = 'Zatwierdzanie komentarzy użytkowników';
 $lang['Users'] = 'Użytkownicy';
@@ -179,6 +179,6 @@
 $lang['The name of an album must not be empty'] = 'Nazwa albumu nie może być pusta';
 $lang['Lock albums'] = 'Zablokuj albumy';
-$lang['Private'] = 'Album prywatny';
-$lang['Public'] = 'Album dostępny publicznie';
+$lang['Private'] = 'prywatny';
+$lang['Public'] = 'publiczny';
 $lang['Find a new representant by random'] = 'Znajdź losowo nowego reprezentanta';
 $lang['Public / Private'] = 'Publiczne / Prywatne';
@@ -286,5 +286,5 @@
 $lang['Warning: subscribing or unsubscribing will send mails to users'] = 'Ostrzeżenie: zapisanie lub wypisanie spowoduje wysłanie wiadomości do użytkowników';
 $lang['Send mail on HTML format'] = 'Wyślij email w formacie HTML';
-$lang['Include display of recent photos grouped by dates'] = 'Dodaj wyświetlanie aktualnych obrazów grupowane po dacie';
+$lang['Include display of recent photos grouped by dates'] = 'Dodaj wyświetlanie aktualnych zdjęć grupowane po dacie';
 $lang['Available only with HTML format'] = 'Dostępne tylko w formacie HTML';
 $lang['no write access'] = 'brak praw do zapisu';
@@ -355,5 +355,5 @@
 $lang['albums deleted in the database'] = 'albumy usunięte z bazy danych';
 $lang['photos deleted from the database'] = 'elementów usuniętych z bazy danych';
-$lang['photos candidates for metadata synchronization'] = 'obrazów dla których można zsynchronizować metadane';
+$lang['photos candidates for metadata synchronization'] = 'zdjęć dla których można zsynchronizować metadane';
 $lang['photos informations synchronized with files metadata'] = 'informacji o elementach zsynchronizowanych z metadanymi plików';
 $lang['errors during synchronization'] = 'błędów podczas synchronizacji';
@@ -361,5 +361,5 @@
 $lang['photos added in the database'] = 'elementów dodanych do bazy danych';
 $lang['photos updated in the database'] = 'elementów zaktualizowanych w bazie danych';
-$lang['Search for new images in the directories'] = 'Szukaj nowych obrazów w katalogach';
+$lang['Search for new images in the directories'] = 'Szukaj nowych zdjęć w katalogach';
 $lang['added'] = 'dodane';
 $lang['deleted'] = 'usunięte';
@@ -456,5 +456,5 @@
 $lang['Level 0'] = '---';
 $lang['Level 1'] = 'Kontakty';
-$lang['Level 2'] = 'Przyjaciele';
+$lang['Level 2'] = 'Znajomi';
 $lang['Level 4'] = 'Rodzina';
 $lang['Level 8'] = 'Administratorzy';
@@ -517,8 +517,8 @@
 $lang['nothing'] = 'nic';
 $lang['overrides existing values with empty ones'] = 'nadpisuje istniejące wartości pustymi';
-$lang['Manage photo ranks'] = 'Zarządzaj rankingami obrazów';
+$lang['Manage photo ranks'] = 'Sortowanie zdjęć';
 $lang['Edit ranks'] = 'Edytuj rankingi';
 $lang['No photo in this album'] = 'Brak elementó w tym albumie';
-$lang['Images manual order was saved'] = 'Ręczne sortowanie obrazów zostało zapisane';
+$lang['Images manual order was saved'] = 'Zapisano własną kolejność zdjęć';
 $lang['ranks'] = 'rankingi';
 $lang['Drag to re-order'] = 'Przesuń aby zreorganizować';
@@ -668,5 +668,5 @@
 $lang['Menu Management'] = 'Menu';
 $lang['automatic order'] = 'automatyczna kolejność';
-$lang['manual order'] = 'ręczne zamówienie';
+$lang['manual order'] = 'własna kolejność';
 $lang['Albums automatically sorted'] = 'Albumy sortowane automatycznie';
 $lang['Batch Manager'] = 'Manadżer wsadowy';
@@ -806,5 +806,5 @@
 $lang['Activate comments'] = 'Aktywuj komentarze';
 $lang['Default comments order'] = 'Domyślna kolejność komentarzy';
-$lang['Send connection settings by email'] = 'Wyślij ustawienia połączenia mailem';
+$lang['Send connection settings by email'] = 'Wyślij dane logowania emailem';
 $lang['The original image quality must be a number between %d and %d'] = 'Oryginalna jakość musi być liczbą pomiędzy %d i %d';
 $lang['The original maximum height must be a number between %d and %d'] = ' Oryginalna maksymalna wysokość musi być liczbą pomiędzy %d i %d';
@@ -819,5 +819,5 @@
 $lang['pending validation'] = 'oczekuje na zatwierdzenie';
 $lang['Save visits in history for'] = 'Zapisz historię odwiedzin dla';
-$lang['simple visitors'] = 'prostych użytkowników';
+$lang['simple visitors'] = 'zwykli użytkownicy';
 $lang['registered users'] = 'zarejestrowanych użytkowników';
 $lang['administrators'] = 'administratorów';
@@ -837,3 +837,11 @@
 $lang['Piwigo for Android'] = 'Piwigo na Androida';
 $lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Piwigo na iOS (iPhone, iPad, iPod Touch)';
+$lang['any visitor can see this album'] = 'wszyscy odwiedzający galerię zobaczą ten album';
+$lang['apply automatic sort order'] = 'Zastosuj automatyczną kolejność sortowania';
+$lang['Automatic sort order'] = 'Automatyczna kolejność sortowania';
+$lang['cancel manual order'] = 'Anuluj własne ustawienia kolejności';
+$lang['No group is permitted to see this private album'] = 'Do tego prywatnego albumu nie przydzielono żadnej grupy';
+$lang['Save manual order'] = 'Zapisz własne ustawienia kolejności';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'odwiedzający galerię muszą się zalogować i mieć uprawnienia do oglądania tego albumu';
+$lang['You can activate only one mobile theme.'] = 'Możesz aktywować tylko jeden temat mobilny';
 ?>