Index: /trunk/language/ru_RU/admin.lang.php
===================================================================
--- /trunk/language/ru_RU/admin.lang.php	(revision 13742)
+++ /trunk/language/ru_RU/admin.lang.php	(revision 13743)
@@ -171,5 +171,4 @@
 $lang['You cannot move an album in its own sub album'] = 'Вы не можете переместить альбом в его собственный внутренний альбом';
 $lang['You need to confirm deletion'] = 'Вам нужно подтвердить удаление';
-$lang['add tags'] = 'добавить слова';
 $lang['Associate to album'] = 'ассоциация с альбомом';
 $lang['associate to group'] = 'привязать к группе';
@@ -218,6 +217,4 @@
 $lang['manage sub-albums'] = 'Управление вложенными альбомами';
 $lang['Manage'] = 'Управление';
-$lang['maximum height'] = 'максимальная высота';
-$lang['maximum width'] = 'максимальная ширина';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Время выполнения превышено, обработка должна быть продолжена [Рассчетное время: %d сек].';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d seconds].'] = 'Время выполнения превышено, обработка должна быть продолжена [Рассчетное время: %d сек].';
@@ -298,10 +295,5 @@
 $lang['registration date'] = 'дата регистрации';
 $lang['clean'] = 'очистить';
-$lang['remove remote listing.xml file'] = 'удалить удаленный файл listing.xml';
-$lang['generate listing'] = 'создать листинг';
-$lang['generate file listing.xml on remote site'] = 'создать файл listing.xml на удаленном сайте';
 $lang['Create this site'] = 'Создать этот сайт';
-$lang['A local listing.xml file has been found for'] = 'Локальный файл listing.xml file был найден ';
-$lang['read local listing.xml and update'] = 'читать локальный файл listing.xml и обновить';
 $lang['test'] = 'тест';
 $lang['test this remote site'] = 'тестировать этот удаленный сайт';
@@ -318,5 +310,4 @@
 $lang['deleted'] = 'удален';
 $lang['an error happened'] = 'произошла ошибка';
-$lang['file create_listing_file.php on remote site was not found'] = 'файл create_listing_file.php не найден на удаленном сайте';
 $lang['Local'] = 'Локальный';
 $lang['Remote'] = 'Удаленный';
@@ -335,20 +326,13 @@
 $lang['User list'] = 'Список пользователей';
 $lang['Edit photo information'] = 'Редактировать всю информацию о фотографии';
-$lang['Thumbnail creation'] = 'Создание миниатюр';
 $lang['Database synchronization with files'] = 'Синхронизация базы данных с файлами';
 $lang['all'] = 'все';
-$lang['photos without thumbnail (jpeg and png only)'] = 'фотографии без миниатюры (только jpeg и png)';
 $lang['height must be a number superior to'] = 'высота должна быть числом больше';
 $lang['width must be a number superior to'] = 'ширина должна быть числом больше';
 $lang['for the file format'] = 'для файла формата';
-$lang['No missing thumbnail'] = 'Миниатюры есть у всех изображений';
 $lang['Photo unreachable or no support'] = 'Фотография недоступна или поддержка не возможна';
 $lang['GD version'] = 'версия GD';
-$lang['generated in'] = 'создано за';
-$lang['Results of miniaturization'] = 'Результаты миниатюризации';
 $lang['General statistics'] = 'Общая статистика';
-$lang['max time'] = 'максимальное время';
 $lang['average time'] = 'среднее время';
-$lang['min time'] = 'минимальное время';
 $lang['number of miniaturized photos'] = 'число фотографий с миниатюрами';
 $lang['total time'] = 'общее время';
@@ -363,8 +347,4 @@
 $lang['Choose an option'] = 'Выберите параметры';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'показать максимум информации (добавленные альбомы и фотографии, удаленные альбомы и фотографии)';
-$lang['Piwigo version differs on the remote site'] = 'версия PhpWebGallery отличается на удаленном сайте';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Версии create_listing_file.php на удаленном сайте и PhpWebGallery должны быть одинаковыми';
-$lang['listing.xml file was not found'] = 'файл listing.xml не найден';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'файл listing.xml не найден на удаленном сайте. Этот файл создается при выборе команды "создать листинг" в Управлении сайтами';
 $lang['Error list'] = 'Список ошибок';
 $lang['Errors caption'] = 'Обозначение ошибки';
@@ -372,6 +352,4 @@
 $lang['File/directory read error'] = 'Ошибка чтения файла/папки';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Нет доступа к файлу или папке (возможно они отсутствуют или доступ к ним запрещен)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'для этого типа файлов нужна миниатюра. Миниатюры должны находиться в подпапке "thumbnail" папки категории. Имя файла миниатюры должно начинаться с указанного в конфигурации префикса, расширение должно быть одним из нижеперечисленных:';
-$lang['missing thumbnail'] = 'отсутствуют миниатюры';
 $lang['albums deleted in the database'] = 'альбомы удалены из базы данных';
 $lang['photos deleted from the database'] = 'фотографии удалены из базы данных';
@@ -409,5 +387,4 @@
 $lang['Toggle \'default group\' property'] = 'Сделать/убрать \'по умолчанию\'';
 $lang['Advanced features'] = 'Расширенные функции';
-$lang['Specials'] = 'Спец функции';
 $lang['Overall'] = 'Вся';
 $lang['Year'] = 'Год';
@@ -419,8 +396,4 @@
 $lang['Element'] = '';
 $lang['Section'] = 'раздел';
-$lang['Tags'] = 'Метки';
-$lang['Save page visits by guests'] = 'Сохранять страницы посещенные гостями';
-$lang['Save page visits by users'] = 'Сохранять страницы посещенные пользователями';
-$lang['Save page visits by administrators'] = 'Сохранить страницы посещенные администраторами';
 $lang['An information email was sent to group "%s"'] = 'Информационное письмо отправлено для группы "%s"';
 $lang['Send an information email to group members'] = 'Отправить информационное письмо для группы';
@@ -444,5 +417,4 @@
 $lang['guest'] = 'гость';
 $lang['default values'] = 'значение по умолчанию';
-$lang['High filesize'] = 'Большой размер файла';
 $lang['Guest cannot be deleted'] = 'Гость не может быть удален';
 $lang['Default user cannot be deleted'] = 'Пользователь по умолчанию не может быть удален';
@@ -505,5 +477,4 @@
 $lang['Are you sure you want to install this plugin?'] = 'Уверены, что хотите установить этот плагин?';
 $lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Уверены, что хотите обновить? Проверьте, не нужна ли этой версии деинсталляция.';
-$lang['%s has been successfully upgraded.'] = '%s успешно обновлен.';
 $lang['Plugin has been successfully copied'] = 'Плагин успешно скопирован';
 $lang['You might go to plugin list to install and activate it.'] = 'Вы можете перейти к списку плагинов для его установки и активации.';
@@ -534,6 +505,5 @@
 $lang['Templates'] = 'Шаблоны';
 $lang['Extend for templates'] = 'Расширение для шаблонов';
-$lang['Replacement of original templates by customized templates from template-extension subfolder'] =
- 'Заменить исходные шаблоны на пользовательские из подпапки template-extension';
+$lang['Replacement of original templates by customized templates from template-extension subfolder'] =  'Заменить исходные шаблоны на пользовательские из подпапки template-extension';
 $lang['Replacers (customized templates)'] = 'Заменяющий (пользовательский шаблон)';
 $lang['Original templates'] = 'Исходный шаблон';
@@ -571,5 +541,4 @@
 $lang['Password is missing. Please enter the password.'] = 'Пароль не верен. Пожалуйста, повторите попытку.';
 $lang['Password confirmation is missing. Please confirm the chosen password.'] = 'Подтверждение пароля отсутствует. Пожалуйста, подтвердите выбранный пароль.';
-$lang['Password confirmation error.'] = 'Ошибка подтверждения пароля.';
 $lang['Allow users to edit their own comments'] = 'Позволить пользователям редактировать свои комментарии';
 $lang['Allow users to delete their own comments'] = 'Позволить пользователям удалять их комментарии';
@@ -642,5 +611,4 @@
 $lang['Activate Navigation Thumbnails'] = 'Активизировать навигацию по миниатюрам';
 $lang['Activate icon "%s"'] = 'Активизировать иконку "%s"';
-$lang['Activate field "%s"'] = 'активизировать поле "%s"';
 $lang['Photo Properties'] = 'Свойства фотографии';
 $lang['Allow user customization'] = 'Разрешить пользователям изменять внешний вид галереи';
@@ -716,7 +684,4 @@
 $lang['All %d photos are selected'] = 'Все %d фотографии были выбраны';
 $lang['remove this filter'] = 'удалить этот фильтр';
-$lang['predefined filter'] = 'переопределить фильтр';
-$lang['last import'] = 'последний импорт';
-$lang['with no virtual album'] = 'с невиртуальным альбомом';
 $lang['Duplicates'] = 'дубликаты';
 $lang['Add a filter'] = 'Добавить фильтр';
@@ -733,6 +698,4 @@
 $lang['Type here the title'] = 'напечатайте название здесь';
 $lang['remove creation date'] = 'удалить дату создания';
-$lang['with no album'] = 'без каких-либо альбомов';
-$lang['with no tag'] = 'без каких-либо меток';
 $lang['Album photos associated to the following albums: %s'] = 'Фотографии этого альбома связаны со следущими альбомами: %s';
 $lang['Delete orphan tags'] = 'Удалить неривязанные метки';
@@ -766,10 +729,6 @@
 $lang['Restore default configuration. You will lose your plugin settings!'] = 'Восстановление конфигурации по умолчанию. Ваши настройки плагинов будут потеряны!';
 $lang['Show menubar'] = 'Показать меню';
-$lang['Regenerate Thumbnails'] = 'Сгенерить миниатюры заново';
-$lang['Regenerate Websize Photos'] = 'Сгенерить фотографии web размера заново';
 $lang['Thumbnails generation in progress...'] = 'Идет генерация миниатюр ...';
 $lang['Photos generation in progress...'] = 'Идет генерация фотографий ...';
-$lang['%s thumbnails have been regenerated'] = '%s миниатюр было создано заново';
-$lang['%s thumbnails can not be regenerated'] = '%s миниатюр не было создано заново';
 $lang['%s photos have been regenerated'] = '%s фотографий было создано заново';
 $lang['%s photos can not be regenerated'] = '%s фотографий не было создано заново';
@@ -803,5 +762,4 @@
 $lang['Height'] = 'Высота';
 $lang['Follow Orientation'] = 'Изменить ориентацию';
-$lang['If you want to regenerate thumbnails, please go to the <a href="%s">Batch Manager</a>.'] = 'Если в хотите перегенерить миниатюры, используйте, пожалуйста, <a href="%s">Бач менеджер (Batch Manager)</a>.'; 
 $lang['Graphics Library'] = 'Библиотека изображений';
 $lang['Add a criteria'] = 'Добавить критерий';
@@ -837,4 +795,5 @@
 $lang['Piwigo cannot retrieve upgrade file from server'] = 'Piwigo не может получить файлы обновления с сервера';
 $lang['Zoom'] = 'увеличение';
+$lang['Add to caddie'] = 'добавить в корзину';
 
 ?>
Index: /trunk/language/ru_RU/common.lang.php
===================================================================
--- /trunk/language/ru_RU/common.lang.php	(revision 13742)
+++ /trunk/language/ru_RU/common.lang.php	(revision 13743)
@@ -122,5 +122,4 @@
 $lang['About Piwigo'] = 'О PhpWebGallery';
 $lang['You are not authorized to access the requested page'] = 'Вы не можете получить доступ к запрашиваемой странице без авторизации';
-$lang['Add to caddie'] = 'добавить в корзину';
 $lang['add this photo to your favorites'] = 'добавить эту фотографию в избранные';
 $lang['Administration'] = 'Администрирование';
@@ -367,3 +366,30 @@
 $lang['EXIF Metadata'] = 'Метаданные EXIF';
 $lang['IPTC Metadata'] = 'Метаданные IPTC';
+$lang['Edit'] = 'Изменить';
+$lang['Hello %s,'] = 'Здравствуйте, %s,';
+$lang['Send my connection settings by email'] = 'Отправить настройки моего соединения по почте';
+$lang['Show oldest comments first'] = 'Показывать комментарии, начиная со старых';
+$lang['Show latest comments first'] = 'Показывать комментарии, начиная с новых';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Регистрация прошла успешно. Скоро вы получите письмо с настройками Вашего соединения. Добро пожаловать!';
+$lang['Username modification'] = 'Изменить имя пользователя';
+$lang['Your username has been successfully changed to : %s'] = 'Имя пользователя было успешно изменено на %s';
+$lang['square'] = 'Квардат';
+$lang['thumb'] = 'Миниатюра';
+$lang['2small'] = 'XXS - крошечный';
+$lang['xsmall'] = 'XS - очень мелкий';
+$lang['small'] = 'S - мелкий';
+$lang['medium'] = 'M - средний';
+$lang['large'] = 'L - крупный';
+$lang['xlarge'] = 'XL - очень крупный';
+$lang['xxlarge'] = 'XXL - огромный';
+$lang['Original'] = 'Исходный';
+$lang['Thank you for registering at %s!'] = 'Благодарим за регистрацию на %s!';
+$lang['Here are your connection settings'] = 'Ваши настройки соединения';
+$lang['Password: %s'] = 'Пароль: %s';
+$lang['Username: %s'] = 'Имя пользователя: %s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Если Вы получили это сообщение по ошибке, пожалуйста, напишите нам по адресу %s';
+$lang['Photo sizes'] = 'Размер фотографии';
+$lang['View in'] = 'Вид';
+$lang['Mobile'] = 'Мобильное устройство';
+$lang['Desktop'] = 'Компьютер';
 ?>