Index: /trunk/language/vi_VN/admin.lang.php
===================================================================
--- /trunk/language/vi_VN/admin.lang.php	(revision 13751)
+++ /trunk/language/vi_VN/admin.lang.php	(revision 13752)
@@ -298,10 +298,5 @@
 $lang['registration date'] = 'ngày tháng đăng ký';
 $lang['clean'] = 'dọn dẹp';
-$lang['remove remote listing.xml file'] = 'bỏ file truy xuất từ xa listing.xml';
-$lang['generate listing'] = 'tạo ra danh sách';
-$lang['generate file listing.xml on remote site'] = 'tạo ra file listing.xml trên site truy xuất từ xa';
 $lang['Create this site'] = 'Khởi tạo site này';
-$lang['A local listing.xml file has been found for'] = 'Một file listing.xml cục bộ đã được tìm thấy cho';
-$lang['read local listing.xml and update'] = 'đọc file listing.xml cục bộ và cập nhật';
 $lang['test'] = 'kiểm tra';
 $lang['test this remote site'] = 'kiểm tra site truy xuất từ xa này';
@@ -318,5 +313,4 @@
 $lang['deleted'] = 'đã xoa bỏ';
 $lang['an error happened'] = 'có một lỗi xuất hiện';
-$lang['file create_listing_file.php on remote site was not found'] = 'file create_listing_file.php ở trên site truy xuất từ xa không được tìm thấy';
 $lang['Local'] = 'Cục bộ';
 $lang['Remote'] = 'Từ xa';
@@ -356,8 +350,4 @@
 $lang['Choose an option'] = 'Chọn một tùy chọn';
 $lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'hiển thi thông tin tối đa (thành phần và đề mục được thêm vào hoặc bị xóa đi)';
-$lang['Piwigo version differs on the remote site'] = 'Phiên bản Piwigo không giống với phiên bản trên site truy xuất từ xa';
-$lang['Version of create_listing_file.php on the remote site and Piwigo must be the same'] = 'Phiên bản file create_listing_file.php trên site truy xuất từ xa và phiên bản Piwigo phải như nhau';
-$lang['listing.xml file was not found'] = 'File listing.xml không tìm thấy';
-$lang['listing.xml file was not found on the remote site. This file is generated by choosing the "generate listing" command in the Site manager'] = 'File listing.xml không tìm thấy trên site truy xuất từ xa. File này được tạo ra bằng cách click vào lệnh "generate listing" trong mục Quản lý site';
 $lang['Error list'] = 'Danh sách lỗi';
 $lang['Errors caption'] = 'Ghi chú lỗi';
@@ -365,6 +355,4 @@
 $lang['File/directory read error'] = 'Lỗi đọc file/thư mục';
 $lang['The file or directory cannot be accessed (either it does not exist or the access is denied)'] = 'Tệp tin hoặc thư mục không truy xuất được (có thê nó không tồn tại hoặc bị từ chối truy cập)';
-$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory "thumbnail" of the album directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'một loại file hình ảnh yêu cầu một hình thu nhỏ. Hình thu nhỏ phải có trong thư mục con có tên là "thumbnail" của thư mục đề mục. Tên của hình thu nhỏ phải bắt đầu bằng tiền tố hình thu nhỏ đã được thiết lập và phần mở rộng phải nằm trong danh sách định dạng file cho phép ';
-$lang['missing thumbnail'] = 'thiếu hình thu nhỏ';
 $lang['albums deleted in the database'] = 'đã xóa các đề mục trong cơ sở dữ liệu';
 $lang['photos deleted from the database'] = 'đã xóa các thành phần trong cơ sở dữ liệu';
@@ -729,9 +717,5 @@
 $lang['THIS PLUGIN IS NOW PART OF PIWIGO CORE! DELETE IT NOW.'] = 'PLUGIN NÀY GIỜ LÀ MỘT PHẦN CỦA NHÂN PIWIGO! GỠ BỎ NGAY!';
 $lang['ERROR: THIS PLUGIN IS MISSING BUT IT IS INSTALLED! UNINSTALL IT NOW.'] = 'LỖI: PLUGIN NÀY BỊ THIẾU NHƯNG NÓ ĐÃ ĐƯỢC CÀI ĐẶT! GỠ BỎ NGAY.';
-$lang['Regenerate Thumbnails'] = 'Khởi tạo lại Hình thu nhỏ';
 $lang['Thumbnails generation in progress...'] = 'Quá trình khởi tạo hình thu nhỏ đang được thực hiện...';
-$lang['%s thumbnails have been regenerated'] = 'Có %s hình thu nhỏ đã được tạo ra';
-$lang['%s thumbnails can not be regenerated'] = 'Có %s hình thu nhỏ không thể tạo ra được';
-$lang['Regenerate Websize Photos'] = 'Khởi tạo Ảnh Web';
 $lang['Photos generation in progress...'] = 'Quá trình khởi tạo ảnh web đang được thực hiện...';
 $lang['%s photos have been regenerated'] = 'có %s ảnh đã được tạo ra';
@@ -851,4 +835,13 @@
 $lang['Cancel'] = 'Hủy bỏ';
 $lang['List'] = 'Dach sách';
+$lang['Web Form'] = 'Mẫu Web';
+$lang['Applications'] = 'Các ứng dụng';
+$lang['Available versions for'] = 'Những phiên bản có thể dùng được cho';
+$lang['Available on'] = 'Có thể dùng được vào';
+$lang['Piwigo for iOS (iPhone, iPad, iPod Touch)'] = 'Phiên bản Piwigo cho iOS (iPhone, iPad, iPod Touch)';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Phiên bản Piwigo cho iOS</em> ứng dụng cho phép bạn kết nối Piwigo của mình từ iPhone, iPad hoặc iPod Touch, tạo albums ảnh và tải lên máy chủ lưu trữ ảnh ngay lập tức.';
+$lang['Piwigo for Android'] = 'Phiên bản Piwigo cho Android';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Phiên bản Piwigo cho  Android</em> ứng dụng cho phép bạn kết nối Piwigo của mình từ điện thoại chạy Android hoặc máy tính bảng, tạo albums ảnh và tải lên máy chủ lưu trữ ảnh ngay lập tức.';
+$lang['Piwigo Publish plugin for Lightroom'] = 'Plugin Publish của Piwigo cho Lightroom';
 
 ?>
Index: /trunk/language/vi_VN/common.lang.php
===================================================================
--- /trunk/language/vi_VN/common.lang.php	(revision 13751)
+++ /trunk/language/vi_VN/common.lang.php	(revision 13752)
@@ -386,5 +386,7 @@
 $lang['View in'] = 'Xem ảnh ở';
 $lang['Mobile'] = 'Di động';
-
+$lang['2small'] = 'XXS - nhỏ';
+$lang['xsmall'] = 'XS - cực nhỏ';
+$lang['Desktop'] = 'Desktop';
 
 ?>
Index: /trunk/tools/language/translation_validated.inc.php
===================================================================
--- /trunk/tools/language/translation_validated.inc.php	(revision 13751)
+++ /trunk/tools/language/translation_validated.inc.php	(revision 13752)
@@ -628,4 +628,5 @@
 	'pixels',
 	'localhost, sql.multimania.com, toto.freesurf.fr',
+	'Desktop',
 	),
 	